Browse Source

Import my FreeBSD ports

Douglas Thrift 2 years ago
commit
23b1adb093
100 changed files with 2875 additions and 0 deletions
  1. 10 0
      .gitattributes
  2. 10 0
      .gitignore
  3. 3 0
      Gemfile
  4. 13 0
      Gemfile.lock
  5. 6 0
      README.md
  6. 23 0
      converters/py-unidecode/Makefile
  7. 3 0
      converters/py-unidecode/distinfo
  8. 8 0
      converters/py-unidecode/pkg-descr
  9. 19 0
      devel/p5-POSIX-strptime/Makefile
  10. 2 0
      devel/p5-POSIX-strptime/distinfo
  11. 3 0
      devel/p5-POSIX-strptime/pkg-descr
  12. 3 0
      devel/p5-POSIX-strptime/pkg-plist
  13. 19 0
      devel/py-fs/Makefile
  14. 2 0
      devel/py-fs/distinfo
  15. 10 0
      devel/py-fs/pkg-descr
  16. 33 0
      devel/py-gitosis/Makefile
  17. 3 0
      devel/py-gitosis/distinfo
  18. 11 0
      devel/py-gitosis/files/patch-setup.py
  19. 10 0
      devel/py-gitosis/pkg-descr
  20. 5 0
      devel/py-gitosis/pkg-message
  21. 19 0
      devel/py-pycerberus/Makefile
  22. 2 0
      devel/py-pycerberus/distinfo
  23. 23 0
      devel/py-pycerberus/pkg-descr
  24. 31 0
      devel/rubygem-jeweler/Makefile
  25. 3 0
      devel/rubygem-jeweler/distinfo
  26. 17 0
      devel/rubygem-jeweler/files/patch-gemspec
  27. 6 0
      devel/rubygem-jeweler/pkg-descr
  28. 21 0
      dns/rubygem-simpleidn/Makefile
  29. 3 0
      dns/rubygem-simpleidn/distinfo
  30. 4 0
      dns/rubygem-simpleidn/pkg-descr
  31. 20 0
      net/p5-Net-Ping-External/Makefile
  32. 2 0
      net/p5-Net-Ping-External/distinfo
  33. 9 0
      net/p5-Net-Ping-External/pkg-descr
  34. 2 0
      net/p5-Net-Ping-External/pkg-plist
  35. 30 0
      security/py-SecretStorage/Makefile
  36. 3 0
      security/py-SecretStorage/distinfo
  37. 10 0
      security/py-SecretStorage/pkg-descr
  38. 24 0
      security/py-keyczar/Makefile
  39. 3 0
      security/py-keyczar/distinfo
  40. 16 0
      security/py-keyczar/pkg-descr
  41. 33 0
      security/py-keyring/Makefile
  42. 3 0
      security/py-keyring/distinfo
  43. 7 0
      security/py-keyring/pkg-descr
  44. 43 0
      security/py-keyrings.alt/Makefile
  45. 3 0
      security/py-keyrings.alt/distinfo
  46. 13 0
      security/py-keyrings.alt/files/patch-tests_test__crypto.py
  47. 15 0
      security/py-keyrings.alt/files/patch-tests_test__file.py
  48. 4 0
      security/py-keyrings.alt/pkg-descr
  49. 23 0
      sysutils/dtpstree/Makefile
  50. 2 0
      sysutils/dtpstree/distinfo
  51. 10 0
      sysutils/dtpstree/files/patch-dtpstree.cpp
  52. 6 0
      sysutils/dtpstree/pkg-descr
  53. 34 0
      sysutils/hardlink/Makefile
  54. 2 0
      sysutils/hardlink/distinfo
  55. 4 0
      sysutils/hardlink/pkg-descr
  56. 33 0
      sysutils/psmisc/Makefile
  57. 2 0
      sysutils/psmisc/distinfo
  58. 11 0
      sysutils/psmisc/files/patch-doc-Makefile.in
  59. 60 0
      sysutils/psmisc/files/patch-src-Makefile.in
  60. 187 0
      sysutils/psmisc/files/patch-src-killall.c
  61. 74 0
      sysutils/psmisc/files/patch-src-pstree.c
  62. 4 0
      sysutils/psmisc/pkg-descr
  63. 30 0
      sysutils/psmisc/pkg-plist
  64. 18 0
      textproc/rubygem-inifile/Makefile
  65. 3 0
      textproc/rubygem-inifile/distinfo
  66. 3 0
      textproc/rubygem-inifile/pkg-descr
  67. 19 0
      textproc/rubygem-phone/Makefile
  68. 2 0
      textproc/rubygem-phone/distinfo
  69. 3 0
      textproc/rubygem-phone/pkg-descr
  70. 22 0
      textproc/rubygem-yard-chef/Makefile
  71. 3 0
      textproc/rubygem-yard-chef/distinfo
  72. 4 0
      textproc/rubygem-yard-chef/pkg-descr
  73. 55 0
      www/anyterm/Makefile
  74. 3 0
      www/anyterm/distinfo
  75. 38 0
      www/anyterm/files/anytermd.in
  76. 1236 0
      www/anyterm/files/mime.types
  77. 11 0
      www/anyterm/files/patch-common.mk
  78. 11 0
      www/anyterm/files/patch-libpbe-include-Iconver.hh
  79. 10 0
      www/anyterm/files/patch-libpbe-include-endian.hh
  80. 10 0
      www/anyterm/files/patch-libpbe-src-SmtpClient.cc
  81. 28 0
      www/anyterm/files/patch-libpbe-src-URI.cc
  82. 11 0
      www/anyterm/files/patch-libpbe-src-format.cc
  83. 10 0
      www/anyterm/files/patch-libpbe-src-ip.cc
  84. 28 0
      www/anyterm/files/patch-libpbe-src-parse_http_request.cc
  85. 10 0
      www/anyterm/files/patch-src-SubProcess.cc
  86. 38 0
      www/anyterm/files/patch-src_Anyterm.cc
  87. 7 0
      www/anyterm/pkg-descr
  88. 38 0
      www/dtse/Makefile
  89. 2 0
      www/dtse/distinfo
  90. 26 0
      www/dtse/files/patch-GNUmakefile.in
  91. 11 0
      www/dtse/files/patch-HttpHandler.cpp
  92. 20 0
      www/dtse/files/patch-Indexer.cpp
  93. 13 0
      www/dtse/files/patch-Outputter.cpp
  94. 10 0
      www/dtse/files/patch-Search.hpp
  95. 56 0
      www/dtse/files/patch-configure.ac
  96. 7 0
      www/dtse/pkg-descr
  97. 13 0
      www/dtse/pkg-plist
  98. 37 0
      www/mod_wsgi4/Makefile
  99. 3 0
      www/mod_wsgi4/distinfo
  100. 9 0
      www/mod_wsgi4/files/270_mod_wsgi.conf.sample.in

+ 10 - 0
.gitattributes

@@ -0,0 +1,10 @@
+.git*            svn-properties=fbsd:nokeywords=yes;svn:eol-style=native;svn:mime-type=text/plain
+bsd.*.mk         svn-properties=svn:keywords=FreeBSD=%H;svn:eol-style=native;svn:mime-type=text/plain
+distinfo*        svn-properties=fbsd:nokeywords=yes;svn:eol-style=native;svn:mime-type=text/plain
+extrapatch-*     svn-properties=fbsd:nokeywords=yes;svn:eol-style=native;svn:mime-type=text/plain
+extra-patch-*    svn-properties=fbsd:nokeywords=yes;svn:eol-style=native;svn:mime-type=text/plain
+patch-*          svn-properties=fbsd:nokeywords=yes;svn:eol-style=native;svn:mime-type=text/plain
+pkg-*            svn-properties=fbsd:nokeywords=yes;svn:eol-style=native;svn:mime-type=text/plain
+Makefile*        svn-properties=svn:keywords=FreeBSD=%H;svn:eol-style=native;svn:mime-type=text/plain
+Mk/*.mk          svn-properties=svn:keywords=FreeBSD=%H;svn:eol-style=native;svn:mime-type=text/plain
+Mk/Scripts/*.sh  svn-properties=svn:keywords=FreeBSD=%H;svn:eol-style=native;svn:mime-type=text/plain

+ 10 - 0
.gitignore

@@ -0,0 +1,10 @@
+/distfiles
+/packages
+/*/*/Makefile.local
+/*/*/work
+/*/*/work-*
+/INDEX-[0-9]*
+*~
+*.rej
+*.orig
+*.sw[p-z]

+ 3 - 0
Gemfile

@@ -0,0 +1,3 @@
+source 'https://rubygems.org'
+
+gem 'rake'

+ 13 - 0
Gemfile.lock

@@ -0,0 +1,13 @@
+GEM
+  remote: https://rubygems.org/
+  specs:
+    rake (12.3.2)
+
+PLATFORMS
+  ruby
+
+DEPENDENCIES
+  rake
+
+BUNDLED WITH
+   2.0.1

+ 6 - 0
README.md

@@ -0,0 +1,6 @@
+# Douglas Thrift's FreeBSD Ports
+
+These are the [FreeBSD ports] that I [maintain].
+
+[FreeBSD ports]: https://www.freebsd.org/ports/index.html
+[maintain]: https://www.freebsd.org/cgi/ports.cgi?query=douglas%40douglasthrift.net&stype=maintainer

+ 23 - 0
converters/py-unidecode/Makefile

@@ -0,0 +1,23 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/converters/py-unidecode/Makefile 498530 2019-04-10 06:18:31Z antoine $
+
+PORTNAME=	unidecode
+PORTVERSION=	1.0.23
+PORTREVISION=	1
+CATEGORIES=	converters python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+DISTNAME=	Unidecode-${PORTVERSION}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	ASCII transliterations of Unicode text
+
+LICENSE=	GPLv2+
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
+USES=		python
+USE_PYTHON=	distutils autoplist concurrent
+
+NO_ARCH=	yes
+
+.include <bsd.port.mk>

+ 3 - 0
converters/py-unidecode/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1543098801
+SHA256 (Unidecode-1.0.23.tar.gz) = 8b85354be8fd0c0e10adbf0675f6dc2310e56fda43fa8fe049123b6c475e52fb
+SIZE (Unidecode-1.0.23.tar.gz) = 210727

+ 8 - 0
converters/py-unidecode/pkg-descr

@@ -0,0 +1,8 @@
+What Unidecode provides is a function, 'unidecode(...)' that
+takes Unicode data and tries to represent it in ASCII characters
+(i.e., the universally displayable characters between 0x00 and 0x7F).
+The representation is almost always an attempt at *transliteration*
+-- i.e., conveying, in Roman letters, the pronunciation expressed by
+the text in some other writing system. (See the example above)
+
+WWW: https://pypi.org/project/Unidecode/

+ 19 - 0
devel/p5-POSIX-strptime/Makefile

@@ -0,0 +1,19 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/devel/p5-POSIX-strptime/Makefile 449893 2017-09-15 08:58:46Z mat $
+
+PORTNAME=	POSIX-strptime
+PORTVERSION=	0.13
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Perl interface to strptime(3)
+
+LICENSE=	ART10 GPLv1+
+LICENSE_COMB=	dual
+
+USES=		perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

+ 2 - 0
devel/p5-POSIX-strptime/distinfo

@@ -0,0 +1,2 @@
+SHA256 (POSIX-strptime-0.13.tar.gz) = a818109829e35a4ac79677d68063865f40c87c99ca7f3a20890177a8f8e5c277
+SIZE (POSIX-strptime-0.13.tar.gz) = 49179

+ 3 - 0
devel/p5-POSIX-strptime/pkg-descr

@@ -0,0 +1,3 @@
+Perl interface to strptime(3).
+
+WWW: https://metacpan.org/release/POSIX-strptime

+ 3 - 0
devel/p5-POSIX-strptime/pkg-plist

@@ -0,0 +1,3 @@
+%%SITE_ARCH%%/POSIX/strptime.pm
+%%SITE_ARCH%%/auto/POSIX/strptime/strptime.so
+%%PERL5_MAN3%%/POSIX::strptime.3.gz

+ 19 - 0
devel/py-fs/Makefile

@@ -0,0 +1,19 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/devel/py-fs/Makefile 401890 2015-11-18 20:01:36Z rm $
+
+PORTNAME=	fs
+PORTVERSION=	0.5.4
+CATEGORIES=	devel python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Python filesystem abstraction
+
+LICENSE=	ISCL
+
+NO_ARCH=	yes
+USES=		python
+USE_PYTHON=	autoplist distutils
+
+.include <bsd.port.mk>

+ 2 - 0
devel/py-fs/distinfo

@@ -0,0 +1,2 @@
+SHA256 (fs-0.5.4.tar.gz) = ba2cca8773435a7c86059d57cb4b8ea30fda40f8610941f7822d1ce3ffd36197
+SIZE (fs-0.5.4.tar.gz) = 231333

+ 10 - 0
devel/py-fs/pkg-descr

@@ -0,0 +1,10 @@
+Pyfilesystem is a Python module that provides a simplified common interface to
+many types of filesystem. Filesystems exposed via Pyfilesystem can also be
+served over the network, or 'mounted' on the native filesystem.
+
+Pyfilesystem simplifies working directories and paths, even if you only intend
+to work with local files. Differences in path formats between platforms are
+abstracted away, and you can write code that sand-boxes any changes to a given
+directory.
+
+WWW: http://pyfilesystem.org/

+ 33 - 0
devel/py-gitosis/Makefile

@@ -0,0 +1,33 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/devel/py-gitosis/Makefile 494156 2019-02-28 15:36:27Z kai $
+
+PORTNAME=	gitosis
+PORTVERSION=	0.3
+DISTVERSIONPREFIX=	release/
+CATEGORIES=	devel python
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Software for hosting git repositories
+
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+RUN_DEPENDS=	git:devel/git
+TEST_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pytest>0:devel/py-pytest@${PY_FLAVOR} \
+		${PYTHON_PKGNAMEPREFIX}nose>0:devel/py-nose@${PY_FLAVOR}
+
+USES=		python:2.7
+USE_PYTHON=	distutils autoplist
+USE_GITHUB=	yes
+GH_ACCOUNT=	tv42
+
+NO_ARCH=	yes
+
+USERS=		git
+GROUPS=		${USERS}
+
+do-test:
+	cd ${WRKSRC} && ${PYTHON_CMD} -m pytest -v -s gitosis/test/
+
+.include <bsd.port.mk>

+ 3 - 0
devel/py-gitosis/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1550465853
+SHA256 (tv42-gitosis-release-0.3_GH0.tar.gz) = 9eb7dd1051663b72411b697c737aced0ea87d2971d6ccc381f0550794f56acd4
+SIZE (tv42-gitosis-release-0.3_GH0.tar.gz) = 31175

+ 11 - 0
devel/py-gitosis/files/patch-setup.py

@@ -0,0 +1,11 @@
+--- setup.py.orig	2019-02-18 05:26:38 UTC
++++ setup.py
+@@ -18,7 +18,7 @@ def subdir_contents(path):
+ 
+ setup(
+     name = "gitosis",
+-    version = "0.2",
++    version = "0.3",
+     packages = find_packages(),
+ 
+     author = "Tommi Virtanen",

+ 10 - 0
devel/py-gitosis/pkg-descr

@@ -0,0 +1,10 @@
+Manage git repositories, provide access to them over SSH, with tight
+access control and not needing shell accounts.
+
+Gitosis aims to make hosting git repos easier and safer. It manages
+multiple repositories under one user account, using SSH keys to
+identify users. End users do not need shell accounts on the server,
+they will talk to one shared account that will not let them run
+arbitrary commands.
+
+WWW: https://github.com/tv42/gitosis

+ 5 - 0
devel/py-gitosis/pkg-message

@@ -0,0 +1,5 @@
+================================================================================
+
+For more information, see https://github.com/tv42/gitosis/blob/master/README.rst
+
+================================================================================

+ 19 - 0
devel/py-pycerberus/Makefile

@@ -0,0 +1,19 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/devel/py-pycerberus/Makefile 401889 2015-11-18 19:59:51Z rm $
+
+PORTNAME=	pycerberus
+PORTVERSION=	0.6
+CATEGORIES=	devel python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Highly flexible, no magic input validation library
+
+LICENSE=	MIT
+
+NO_ARCH=	yes
+USES=		python
+USE_PYTHON=	autoplist distutils
+
+.include <bsd.port.mk>

+ 2 - 0
devel/py-pycerberus/distinfo

@@ -0,0 +1,2 @@
+SHA256 (pycerberus-0.6.tar.gz) = 1e0fc73b6c9619b3b780831299e2bb0a62094a0f6cc3f80a6a46c2072d5b79d1
+SIZE (pycerberus-0.6.tar.gz) = 152848

+ 23 - 0
devel/py-pycerberus/pkg-descr

@@ -0,0 +1,23 @@
+Pycerberus is a framework to check user data thoroughly so that you can
+protect your application from malicious (or just garbled) input data.
+
+ * Remove stupid code which converts input values: After values are
+   validated, you can work with real Python types instead of strings -
+   e.g. 42 instead of '42', convert database IDs to model objects
+   transparently.
+ * Implement custom validation rules: Writing custom validators is
+   straightforward, everything is well documented and pycerberus only
+   uses very little Python magic.
+ * Focus on your value-adding application code: Save time by
+   implementing every input validation rule only once, but 100% right
+   instead of implementing a dozen different half-baked solutions.
+ * Ready for global business: i18n support (based on GNU gettext) is
+   built in, adding custom translations is easy.
+ * Tune it for your needs: You can implement custom behavior in your
+   validators, e.g. fetch translations from a database instead of using
+   gettext or define custom translations for built-in validators.
+ * Use it wherever you like: pycerberus is used in a SMTP server, trac
+   macros as well as web applications - there are no dependecies on a
+   specific context like web development.
+
+WWW: http://www.schwarz.eu/opensource/projects/pycerberus

+ 31 - 0
devel/rubygem-jeweler/Makefile

@@ -0,0 +1,31 @@
+# Created by: Douglas Thrift
+# $FreeBSD: head/devel/rubygem-jeweler/Makefile 458509 2018-01-09 04:13:47Z swills $
+
+PORTNAME=	jeweler
+PORTVERSION=	2.3.7
+CATEGORIES=	devel rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Simple and opinionated helper for creating Rubygem projects
+
+LICENSE=	MIT
+LICENSE_FILE=	${WRKSRC}/LICENSE.txt
+
+RUN_DEPENDS=	rubygem-builder>=0:devel/rubygem-builder \
+		rubygem-bundler>=1.0:sysutils/rubygem-bundler \
+		rubygem-git>=1.2.5:devel/rubygem-git \
+		rubygem-github_api>=0:devel/rubygem-github_api \
+		rubygem-highline>=1.6.15:devel/rubygem-highline \
+		rubygem-nokogiri>=1.5.10:textproc/rubygem-nokogiri \
+		rubygem-rake>=0:devel/rubygem-rake \
+		rubygem-rdoc>=0:devel/rubygem-rdoc \
+		rubygem-semver2>=0:devel/rubygem-semver2
+
+NO_ARCH=	yes
+USE_RUBY=	yes
+USES=		gem
+
+PLIST_FILES=	bin/jeweler
+
+.include <bsd.port.mk>

+ 3 - 0
devel/rubygem-jeweler/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1514155032
+SHA256 (rubygem/jeweler-2.3.7.gem) = 913fcf1dbefb61b320566615b3149c5073c2722e45d96c517fd9461484ff54bc
+SIZE (rubygem/jeweler-2.3.7.gem) = 61952

+ 17 - 0
devel/rubygem-jeweler/files/patch-gemspec

@@ -0,0 +1,17 @@
+--- jeweler.gemspec.orig	2018-01-08 10:41:46.303736000 -0500
++++ jeweler.gemspec	2018-01-08 10:42:01.130758000 -0500
+@@ -27,13 +27,12 @@ Gem::Specification.new do |s|
+       s.add_runtime_dependency(%q<rake>.freeze, [">= 0"])
+       s.add_runtime_dependency(%q<git>.freeze, [">= 1.2.5"])
+       s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.5.10"])
+-      s.add_runtime_dependency(%q<github_api>.freeze, ["~> 0.16.0"])
++      s.add_runtime_dependency(%q<github_api>.freeze, [">= 0.16.0"])
+       s.add_runtime_dependency(%q<highline>.freeze, [">= 1.6.15"])
+       s.add_runtime_dependency(%q<bundler>.freeze, [">= 1"])
+       s.add_runtime_dependency(%q<rdoc>.freeze, [">= 0"])
+       s.add_runtime_dependency(%q<builder>.freeze, [">= 0"])
+       s.add_runtime_dependency(%q<semver2>.freeze, [">= 0"])
+-      s.add_runtime_dependency(%q<psych>.freeze, ["~> 2.2"])
+       s.add_development_dependency(%q<yard>.freeze, [">= 0.8.5"])
+       s.add_development_dependency(%q<bluecloth>.freeze, [">= 0"])
+       s.add_development_dependency(%q<cucumber>.freeze, [">= 1.1.4"])

+ 6 - 0
devel/rubygem-jeweler/pkg-descr

@@ -0,0 +1,6 @@
+Jeweler provides the noble ruby developer with two primary features:
+
+ * a library for managing and releasing RubyGem projects
+ * a scaffold generator for starting new RubyGem projects
+
+WWW: https://github.com/technicalpickles/jeweler

+ 21 - 0
dns/rubygem-simpleidn/Makefile

@@ -0,0 +1,21 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/dns/rubygem-simpleidn/Makefile 459072 2018-01-15 15:34:16Z swills $
+
+PORTNAME=	simpleidn
+PORTVERSION=	0.1.1
+CATEGORIES=	dns rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Easy conversion from IDNA strings to unicode strings and vice-versa
+
+LICENSE=	MIT
+LICENSE_FILE=	${WRKSRC}/LICENCE
+
+RUN_DEPENDS=	rubygem-unf>=0.1.4:textproc/rubygem-unf
+
+NO_ARCH=	yes
+USES=		gem
+USE_RUBY=	yes
+
+.include <bsd.port.mk>

+ 3 - 0
dns/rubygem-simpleidn/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1522591668
+SHA256 (rubygem/simpleidn-0.1.1.gem) = 5cf0d3f0a4bbbb84995f495c50555297529cf3ca665735d947a6e94974073b2d
+SIZE (rubygem/simpleidn-0.1.1.gem) = 140800

+ 4 - 0
dns/rubygem-simpleidn/pkg-descr

@@ -0,0 +1,4 @@
+SimpleIDN allows easy conversion from punycode ACE (IDNA) strings to unicode
+UTF-8 strings and visa versa.
+
+WWW: https://github.com/mmriis/simpleidn

+ 20 - 0
net/p5-Net-Ping-External/Makefile

@@ -0,0 +1,20 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/net/p5-Net-Ping-External/Makefile 449893 2017-09-15 08:58:46Z mat $
+
+PORTNAME=	Net-Ping-External
+PORTVERSION=	0.15
+CATEGORIES=	net perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Perl cross-platform interface to ICMP "ping" utilities
+
+LICENSE=	ART10 GPLv1+
+LICENSE_COMB=	dual
+
+USES=		perl5
+USE_PERL5=	configure
+NO_ARCH=	yes
+
+.include <bsd.port.mk>

+ 2 - 0
net/p5-Net-Ping-External/distinfo

@@ -0,0 +1,2 @@
+SHA256 (Net-Ping-External-0.15.tar.gz) = aad917fc678e774670b2b94072fd368d97fc09537f2cc802ea2b51398dec04fb
+SIZE (Net-Ping-External-0.15.tar.gz) = 9019

+ 9 - 0
net/p5-Net-Ping-External/pkg-descr

@@ -0,0 +1,9 @@
+Net::Ping::External is a module which interfaces with the "ping"
+command on many systems. It presently provides a single function,
+ping(), that takes in a hostname and (optionally) a timeout and
+returns true if the host is alive, and false otherwise. Unless you
+have the ability (and willingness) to run your scripts as the
+superuser on your system, this module will probably provide more
+accurate results than Net::Ping will.
+
+WWW: https://metacpan.org/release/Net-Ping-External

+ 2 - 0
net/p5-Net-Ping-External/pkg-plist

@@ -0,0 +1,2 @@
+%%SITE_PERL%%/Net/Ping/External.pm
+%%PERL5_MAN3%%/Net::Ping::External.3.gz

+ 30 - 0
security/py-SecretStorage/Makefile

@@ -0,0 +1,30 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/security/py-SecretStorage/Makefile 472884 2018-06-20 17:05:41Z mat $
+
+PORTNAME=	SecretStorage
+PORTVERSION=	2.3.1
+CATEGORIES=	security python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Store passwords using the SecretService DBus API
+
+LICENSE=	BSD3CLAUSE
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}cryptography>0:security/py-cryptography@${PY_FLAVOR}
+
+NO_ARCH=	yes
+USES=		python
+USE_PYTHON=	autoplist distutils
+
+.include <bsd.port.pre.mk>
+
+.if ${PYTHON_REL} > 3000
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}dbus>=0.84.0:devel/py-dbus@${PY_FLAVOR}
+.else
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}dbus>=0.84.0:devel/py-dbus@${PY_FLAVOR}
+.endif
+
+.include <bsd.port.post.mk>

+ 3 - 0
security/py-SecretStorage/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1480203823
+SHA256 (SecretStorage-2.3.1.tar.gz) = 3af65c87765323e6f64c83575b05393f9e003431959c9395d1791d51497f29b6
+SIZE (SecretStorage-2.3.1.tar.gz) = 16073

+ 10 - 0
security/py-SecretStorage/pkg-descr

@@ -0,0 +1,10 @@
+SecretService provides a way to securely storing passwords and other secrets in
+Python.
+
+It uses DBus Secret Service API that is supported by GNOME Keyring (>= 2.30) and
+KWallet (>= 4.8).
+
+It allows to create new passwords, delete and search for passwords matching
+given attributes. It also supports graphical prompts when unlocking is needed.
+
+WWW: https://pypi.org/project/SecretStorage/

+ 24 - 0
security/py-keyczar/Makefile

@@ -0,0 +1,24 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/security/py-keyczar/Makefile 472884 2018-06-20 17:05:41Z mat $
+
+PORTNAME=	keyczar
+PORTVERSION=	0.716
+PORTREVISION=	1
+CATEGORIES=	security python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+DISTNAME=	python-${PORTNAME}-${PORTVERSION}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Toolkit for safe and simple cryptography
+
+LICENSE=	APACHE20
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pycrypto>=2.0:security/py-pycrypto@${PY_FLAVOR} \
+		${PYTHON_PKGNAMEPREFIX}pyasn1>0:devel/py-pyasn1@${PY_FLAVOR}
+
+NO_ARCH=	yes
+USES=		python:2.7
+USE_PYTHON=	autoplist distutils
+
+.include <bsd.port.mk>

+ 3 - 0
security/py-keyczar/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1470607843
+SHA256 (python-keyczar-0.716.tar.gz) = f9b614112dc8248af3d03b989da4aeca70e747d32fe7e6fce9512945365e3f83
+SIZE (python-keyczar-0.716.tar.gz) = 242081

+ 16 - 0
security/py-keyczar/pkg-descr

@@ -0,0 +1,16 @@
+Keyczar is an open source cryptographic toolkit designed to make it easier and
+safer for developers to use cryptography in their applications. Keyczar supports
+authentication and encryption with both symmetric and asymmetric keys. Some
+features of Keyczar include:
+
+* A simple API
+* Key rotation and versioning
+* Safe default algorithms, modes, and key lengths
+* Automated generation of initialization vectors and ciphertext signatures
+* Java, Python, and C++ implementations
+* International support in Java (Python coming soon)
+
+Keyczar was originally developed by members of the Google Security Team and is
+released under an Apache 2.0 license.
+
+WWW: http://www.keyczar.org/

+ 33 - 0
security/py-keyring/Makefile

@@ -0,0 +1,33 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/security/py-keyring/Makefile 498530 2019-04-10 06:18:31Z antoine $
+
+PORTNAME=	keyring
+DISTVERSION=	12.0.1
+PORTREVISION=	1
+CATEGORIES=	security python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Store and access your passwords safely
+
+LICENSE=	PSFL
+
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}setuptools_scm>=1.15.1:devel/py-setuptools_scm@${PY_FLAVOR}
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}entrypoints>=0.2.3:devel/py-entrypoints@${PY_FLAVOR}
+
+USES=		python
+USE_PYTHON=	autoplist concurrent distutils
+NO_ARCH=	yes
+
+OPTIONS_DEFINE=		DBUS KEYRINGS_ALT SECRET_SERVICE
+OPTIONS_DEFAULT=	KEYRINGS_ALT SECRET_SERVICE
+DBUS_DESC=		Install Python DBUS to support the kwallet backend
+KEYRINGS_ALT_DESC=	Install Alternate Python keyring implementations backend
+SECRET_SERVICE_DESC=	Install SecretStorage to support the SecretService backend
+
+DBUS_RUN_DEPENDS=		${PYTHON_PKGNAMEPREFIX}dbus>0:devel/py-dbus@${PY_FLAVOR}
+KEYRINGS_ALT_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}keyrings.alt>0:security/py-keyrings.alt@${PY_FLAVOR}
+SECRET_SERVICE_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}SecretStorage>=1.0.0:security/py-SecretStorage@${PY_FLAVOR}
+
+.include <bsd.port.mk>

+ 3 - 0
security/py-keyring/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1523172793
+SHA256 (keyring-12.0.1.tar.gz) = 846c9c709ee1203bac5444abec19b5228f4601377686f33cba672aa0ba313abd
+SIZE (keyring-12.0.1.tar.gz) = 41430

+ 7 - 0
security/py-keyring/pkg-descr

@@ -0,0 +1,7 @@
+The Python keyring lib provides an easy way to access the system keyring
+service from Python. It can be used in any application that needs safe password
+storage. It supports OSX, KDE, Gnome and Windows's native password storing
+services. Besides this, it is shipped with kinds of Python implemented keyring
+for the left environments.
+
+WWW: https://github.com/jaraco/keyring

+ 43 - 0
security/py-keyrings.alt/Makefile

@@ -0,0 +1,43 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/security/py-keyrings.alt/Makefile 490215 2019-01-13 21:42:30Z pi $
+
+PORTNAME=	keyrings.alt
+PORTVERSION=	3.1.1
+CATEGORIES=	security python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Alternate Python keyring implementations
+
+LICENSE=	MIT
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}setuptools_scm>=1.15.0:devel/py-setuptools_scm@${PY_FLAVOR}
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}six>0:devel/py-six@${PY_FLAVOR}
+TEST_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pytest>=2.8:devel/py-pytest@${PY_FLAVOR} \
+		${PYTHON_PKGNAMEPREFIX}mock>0:devel/py-mock@${PY_FLAVOR} \
+		${PYTHON_PKGNAMEPREFIX}keyring>=10.3.1:security/py-keyring@${PY_FLAVOR} \
+		${PYTHON_PKGNAMEPREFIX}pycrypto>0:security/py-pycrypto@${PY_FLAVOR} \
+		${PYTHON_PKGNAMEPREFIX}fs>=0.5:devel/py-fs@${PY_FLAVOR}
+
+USES=		python
+USE_PYTHON=	autoplist distutils
+
+NO_ARCH=	yes
+
+OPTIONS_DEFINE=		ENCRYPTED_FILE GNOME_KEYRING KEYCZAR PYFS
+ENCRYPTED_FILE_DESC=	Install pycrypto to support the Encrypted File backend
+GNOME_KEYRING_DESC=	Install GNOME Keyring to support the Gnome backend
+KEYCZAR_DESC=		Install keyczar to support keyring encryption
+PYFS_DESC=		Install pyfilesystem to support the pyfs backend
+
+ENCRYPTED_FILE_RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pycrypto>=2.5:security/py-pycrypto@${PY_FLAVOR}
+GNOME_KEYRING_USE=		GNOME=pygobject3
+KEYCZAR_RUN_DEPENDS=		${PYTHON_PKGNAMEPREFIX}keyczar>=0.71c:security/py-keyczar@${PY_FLAVOR}
+PYFS_RUN_DEPENDS=		${PYTHON_PKGNAMEPREFIX}fs>=0.5:devel/py-fs@${PY_FLAVOR}
+
+do-test:
+	@cd ${WRKSRC} && ${PYTHON_CMD} -m pytest
+
+.include <bsd.port.mk>

+ 3 - 0
security/py-keyrings.alt/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1547319605
+SHA256 (keyrings.alt-3.1.1.tar.gz) = 0bc7b75c7e710a3dd7bc4c3841c71467b24ccbce1b85efb2586bdf0c4713f751
+SIZE (keyrings.alt-3.1.1.tar.gz) = 28193

+ 13 - 0
security/py-keyrings.alt/files/patch-tests_test__crypto.py

@@ -0,0 +1,13 @@
+# mock dependency set in TEST_DEPENDS is actually backports.unittest_mock
+# but this package doesn't exist in the ports tree yet, so adjust the import
+# here to import 'mock' proper. TODO
+
+--- tests/test_crypto.py.orig	2019-01-04 05:26:47 UTC
++++ tests/test_crypto.py
+@@ -1,5 +1,5 @@
+ import unittest
+-from unittest import mock
++import mock
+ 
+ from .test_file import FileKeyringTests
+ 

+ 15 - 0
security/py-keyrings.alt/files/patch-tests_test__file.py

@@ -0,0 +1,15 @@
+# mock dependency set in TEST_DEPENDS is actually backports.unittest_mock
+# but this package doesn't exist in the ports tree yet, so adjust the import
+# here to import 'mock' proper. TODO
+
+--- tests/test_file.py.orig	2019-01-04 05:24:38 UTC
++++ tests/test_file.py
+@@ -7,7 +7,7 @@ import unittest
+ from six.moves import configparser
+ 
+ import pytest
+-from unittest import mock
++import mock
+ 
+ from keyring.tests.test_backend import BackendBasicTests
+ from keyring.tests.util import random_string

+ 4 - 0
security/py-keyrings.alt/pkg-descr

@@ -0,0 +1,4 @@
+Alternate keyring backend implementations for use with the Python keyring
+package.
+
+WWW: https://pypi.org/project/keyrings.alt/

+ 23 - 0
sysutils/dtpstree/Makefile

@@ -0,0 +1,23 @@
+# Created by: Douglas Thrift
+# $FreeBSD: head/sysutils/dtpstree/Makefile 432284 2017-01-23 18:52:15Z sunpoet $
+
+PORTNAME=	dtpstree
+PORTVERSION=	1.0.3
+CATEGORIES=	sysutils
+MASTER_SITES=	http://dl1.douglasthrift.net/${PORTNAME}/ \
+		http://dl2.douglasthrift.net/${PORTNAME}/
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Display a tree of processes
+
+LICENSE=	APACHE20
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
+GNU_CONFIGURE=	yes
+MAKEFILE=	GNUmakefile
+USES=		gmake ncurses tar:xz
+
+PLIST_FILES=	bin/dtpstree \
+		man/man1/dtpstree.1.gz
+
+.include <bsd.port.mk>

+ 2 - 0
sysutils/dtpstree/distinfo

@@ -0,0 +1,2 @@
+SHA256 (dtpstree-1.0.3.tar.xz) = 1d1b3497342be460606613061370d487b76a2b869be3bb4ce34dc0199de2b68e
+SIZE (dtpstree-1.0.3.tar.xz) = 47784

+ 10 - 0
sysutils/dtpstree/files/patch-dtpstree.cpp

@@ -0,0 +1,10 @@
+--- dtpstree.cpp.orig	2010-08-05 08:01:47 UTC
++++ dtpstree.cpp
+@@ -21,6 +21,7 @@
+ 
+ #include <cerrno>
+ #include <climits>
++#include <clocale>
+ #include <cstdarg>
+ #include <cstdio>
+ #include <cstdlib>

+ 6 - 0
sysutils/dtpstree/pkg-descr

@@ -0,0 +1,6 @@
+DT PS Tree shows running processes as a tree. It is a reimplementation of
+pstree from PSmisc for FreeBSD, NetBSD, OpenBSD, DragonFly BSD, and possibly
+other modern BSD variants. It also works without /proc and will show the full
+set of processes in a jail even if init is not present.
+
+WWW: http://code.douglasthrift.net/trac/dtpstree

+ 34 - 0
sysutils/hardlink/Makefile

@@ -0,0 +1,34 @@
+# Created by: Douglas Thrift
+# $FreeBSD: head/sysutils/hardlink/Makefile 412349 2016-04-01 14:25:16Z mat $
+
+PORTNAME=	hardlink
+PORTVERSION=	0.3.0
+CATEGORIES=	sysutils
+MASTER_SITES=	http://jak-linux.org/projects/hardlink/ \
+		DEBIAN
+DISTNAME=	${PORTNAME}_${PORTVERSION}
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Replace file copies using hardlinks
+
+LICENSE=	MIT
+
+USES=		pkgconfig tar:xz
+
+PLIST_FILES=	bin/hardlink \
+		man/man1/hardlink.1.gz
+WRKSRC=		${WRKDIR}/${DISTNAME:S/_/-/}
+
+PORTSCOUT=	limit:(?<!~rc[0-9])$$
+
+OPTIONS_DEFINE=	PCRE
+OPTIONS_DEFAULT=PCRE
+
+PCRE_LIB_DEPENDS=	libpcreposix.so:devel/pcre
+PCRE_MAKE_ENV_OFF=	ENABLE=
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/hardlink ${STAGEDIR}${PREFIX}/bin/hardlink
+	${INSTALL_MAN} ${WRKSRC}/hardlink.1 ${STAGEDIR}${MAN1PREFIX}/man/man1/hardlink.1
+
+.include <bsd.port.mk>

+ 2 - 0
sysutils/hardlink/distinfo

@@ -0,0 +1,2 @@
+SHA256 (hardlink_0.3.0.tar.xz) = e8c93dfcb24aeb44a75281ed73757cb862cc63b225d565db1c270af9dbb7300f
+SIZE (hardlink_0.3.0.tar.xz) = 14440

+ 4 - 0
sysutils/hardlink/pkg-descr

@@ -0,0 +1,4 @@
+hardlink is a tool which detects multiple copies of the same file and replaces
+them with hardlinks.
+
+WWW: https://jak-linux.org/projects/hardlink/

+ 33 - 0
sysutils/psmisc/Makefile

@@ -0,0 +1,33 @@
+# Created by: rantapaa@uswest.net
+# $FreeBSD: head/sysutils/psmisc/Makefile 428152 2016-12-08 19:52:19Z tijl $
+
+PORTNAME=	psmisc
+PORTVERSION=	22.16
+PORTREVISION=	1
+CATEGORIES=	sysutils
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Port of the Linux pstree, killall, and pidof commands
+
+LICENSE=	GPLv2
+
+BUILD_DEPENDS=	gsed:textproc/gsed
+
+CONFLICTS=	pidof-[0-9]* pstree-2.[0-9]*
+
+GNU_CONFIGURE=	yes
+USES=		gmake ncurses
+
+OPTIONS_DEFINE=	NLS
+OPTIONS_SUB=	yes
+NLS_CONFIGURE_ENABLE=	nls
+NLS_USES=		gettext
+
+post-patch:
+	@${REINPLACE_CMD} -e '/^#define COMM_LEN / s|16|254|' ${WRKSRC}/src/comm.h
+
+post-install:
+	@${LN} -fs killall ${STAGEDIR}${PREFIX}/bin/pidof
+
+.include <bsd.port.mk>

+ 2 - 0
sysutils/psmisc/distinfo

@@ -0,0 +1,2 @@
+SHA256 (psmisc-22.16.tar.gz) = ae426d7238e5353fdf51b1d313897c2bbed0023e66e5b4af2be9cd03d87a9d01
+SIZE (psmisc-22.16.tar.gz) = 465138

+ 11 - 0
sysutils/psmisc/files/patch-doc-Makefile.in

@@ -0,0 +1,11 @@
+--- doc/Makefile.in.orig	2012-02-08 23:32:11 UTC
++++ doc/Makefile.in
+@@ -197,7 +197,7 @@ target_alias = @target_alias@
+ top_build_prefix = @top_build_prefix@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+-man_MANS = fuser.1 killall.1 peekfd.1 prtstat.1 pstree.1
++man_MANS = killall.1 pstree.1
+ EXTRA_DIST = $(man_MANS)
+ all: all-am
+ 

+ 60 - 0
sysutils/psmisc/files/patch-src-Makefile.in

@@ -0,0 +1,60 @@
+--- src/Makefile.in.orig	2012-02-08 23:32:11 UTC
++++ src/Makefile.in
+@@ -34,8 +34,8 @@ PRE_UNINSTALL = :
+ POST_UNINSTALL = :
+ build_triplet = @build@
+ host_triplet = @host@
+-bin_PROGRAMS = fuser$(EXEEXT) killall$(EXEEXT) pstree$(EXEEXT) \
+-	prtstat$(EXEEXT) $(am__EXEEXT_1) $(am__EXEEXT_2) \
++bin_PROGRAMS = killall$(EXEEXT) pstree$(EXEEXT) \
++	$(am__EXEEXT_1) $(am__EXEEXT_2) \
+ 	$(am__EXEEXT_3) $(am__EXEEXT_4) $(am__EXEEXT_5)
+ @WANT_PEEKFD_I386_TRUE@am__append_1 = peekfd
+ @WANT_PEEKFD_I386_TRUE@am__append_2 = -DI386
+@@ -91,10 +91,8 @@ COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUD
+ 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+ CCLD = $(CC)
+ LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
+-SOURCES = $(fuser_SOURCES) $(killall_SOURCES) $(peekfd_SOURCES) \
+-	$(prtstat_SOURCES) $(pstree_SOURCES)
+-DIST_SOURCES = $(fuser_SOURCES) $(killall_SOURCES) $(peekfd_SOURCES) \
+-	$(prtstat_SOURCES) $(pstree_SOURCES)
++SOURCES = $(killall_SOURCES) $(pstree_SOURCES)
++DIST_SOURCES = $(killall_SOURCES) $(pstree_SOURCES)
+ ETAGS = etags
+ CTAGS = ctags
+ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+@@ -303,19 +301,19 @@ clean-binPROGRAMS:
+ 	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
+ fuser$(EXEEXT): $(fuser_OBJECTS) $(fuser_DEPENDENCIES) 
+ 	@rm -f fuser$(EXEEXT)
+-	$(LINK) $(fuser_OBJECTS) $(fuser_LDADD) $(LIBS)
++	$(LINK) $(fuser_OBJECTS) $(fuser_LDADD) $(LIBS) $(INTLLIBS)
+ killall$(EXEEXT): $(killall_OBJECTS) $(killall_DEPENDENCIES) 
+ 	@rm -f killall$(EXEEXT)
+-	$(LINK) $(killall_OBJECTS) $(killall_LDADD) $(LIBS)
++	$(LINK) $(killall_OBJECTS) $(killall_LDADD) $(LIBS) $(INTLLIBS)
+ peekfd$(EXEEXT): $(peekfd_OBJECTS) $(peekfd_DEPENDENCIES) 
+ 	@rm -f peekfd$(EXEEXT)
+-	$(LINK) $(peekfd_OBJECTS) $(peekfd_LDADD) $(LIBS)
++	$(LINK) $(peekfd_OBJECTS) $(peekfd_LDADD) $(LIBS) $(INTLLIBS)
+ prtstat$(EXEEXT): $(prtstat_OBJECTS) $(prtstat_DEPENDENCIES) 
+ 	@rm -f prtstat$(EXEEXT)
+-	$(LINK) $(prtstat_OBJECTS) $(prtstat_LDADD) $(LIBS)
++	$(LINK) $(prtstat_OBJECTS) $(prtstat_LDADD) $(LIBS) $(INTLLIBS)
+ pstree$(EXEEXT): $(pstree_OBJECTS) $(pstree_DEPENDENCIES) 
+ 	@rm -f pstree$(EXEEXT)
+-	$(LINK) $(pstree_OBJECTS) $(pstree_LDADD) $(LIBS)
++	$(LINK) $(pstree_OBJECTS) $(pstree_LDADD) $(LIBS) $(INTLLIBS)
+ 
+ mostlyclean-compile:
+ 	-rm -f *.$(OBJEXT)
+@@ -556,7 +554,7 @@ uninstall-am: uninstall-binPROGRAMS
+ signames.h: signames.c Makefile
+ 		export LC_ALL=C ; \
+ 		@CPP@ -dM $< |\
+-		tr -s '\t ' ' ' | sort -n -k 3 | sed \
++		tr -s '\t ' ' ' | sort -n -k 3 | gsed \
+ 	's:#define SIG\([A-Z]\+[0-9]*\) \([0-9]\+\) *\(\|/\*.*\)$$:{\ \2,"\1" },:p;d' | \
+ 		  grep -v '[0-9][0-9][0-9]' >signames.h || \
+ 		  { rm -f signames.h; exit 1; }

+ 187 - 0
sysutils/psmisc/files/patch-src-killall.c

@@ -0,0 +1,187 @@
+--- src/killall.c.orig	2012-02-19 23:08:52 UTC
++++ src/killall.c
+@@ -36,6 +36,8 @@
+ #include <dirent.h>
+ #include <signal.h>
+ #include <errno.h>
++#include <limits.h>
++#include <locale.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include <getopt.h>
+@@ -87,40 +89,35 @@ static int verbose = 0, exact = 0, inter
+            ignore_case = 0, pidof;
+ static long younger_than = 0, older_than = 0;
+ 
++ /*
++  * This is based on the implementation from 21.5, as the one in 21.6
++  * and newer uses Linux specific functions getline() and rpmatch()
++  */
+ static int
+ ask (char *name, pid_t pid, const int signal)
+ {
+-  int res;
+-  size_t len;
+-  char *line;
+-
+-  line = NULL;
+-  len = 0;
+-
+-  do {
+-    if (signal == SIGTERM)
+-        printf (_("Kill %s(%s%d) ? (y/N) "), name, process_group ? "pgid " : "",
+-	        pid);
+-    else
+-        printf (_("Signal %s(%s%d) ? (y/N) "), name, process_group ? "pgid " : "",
+-	        pid);
+-
+-    fflush (stdout);
++  int ch, c;
+ 
+-    if (getline (&line, &len, stdin) < 0)
+-      return 0;
+-    /* Check for default */
+-    if (line[0] == '\n') {
+-      free(line);
+-      return 0;
+-    }
+-    res = rpmatch(line);
+-    if (res >= 0) {
+-      free(line);
+-      return res;
++  do
++    {
++      if (signal == SIGTERM)
++          printf (_("Kill %s(%s%d) ? (y/N) "), name, process_group ? "pgid " : "",
++                  pid);
++      else
++          printf (_("Signal %s(%s%d) ? (y/N) "), name, process_group ? "pgid " : "",
++                  pid);
++      fflush (stdout);
++      do
++	if ((ch = getchar ()) == EOF)
++	  exit (0);
++      while (ch == '\n' || ch == '\t' || ch == ' ');
++      do
++	if ((c = getchar ()) == EOF)
++	  exit (0);
++      while (c != '\n');
+     }
+-  } while(1);
+-  /* Never should get here */
++  while (ch != 'y' && ch != 'n' && ch != 'Y' && ch != 'N');
++  return ch == 'y' || ch == 'Y';
+ }
+ 
+ static double
+@@ -197,7 +194,7 @@ match_process_uid(pid_t pid, uid_t uid)
+ 	
+ 	while (fgets(buf, sizeof buf, f))
+ 	{
+-		if (sscanf (buf, "Uid:\t%d", &puid))
++		if (sscanf (buf, "%*s %*d %*d %*d %*d %*s %*s %*s %*s %*s %*s %*s %d", &puid))
+ 		{
+ 			re = uid==puid;
+ 			break;
+@@ -360,7 +357,7 @@ kill_all (int signal, int names, char **
+         }
+ #endif /*WITH_SELINUX*/
+       /* load process name */
+-      if (asprintf (&path, PROC_BASE "/%d/stat", pid_table[i]) < 0)
++      if (asprintf (&path, PROC_BASE "/%d/status", pid_table[i]) < 0)
+ 	continue;
+       if (!(file = fopen (path, "r"))) 
+ 	{
+@@ -368,7 +365,7 @@ kill_all (int signal, int names, char **
+ 	  continue;
+ 	}
+       free (path);
+-      okay = fscanf (file, "%*d (%15[^)]", comm) == 1;
++      okay = fscanf (file, "%s", comm) == 1;
+       if (!okay) {
+ 	fclose(file);
+ 	continue;
+@@ -390,65 +387,6 @@ kill_all (int signal, int names, char **
+       got_long = 0;
+       command = NULL;		/* make gcc happy */
+       length = strlen (comm);
+-      if (length == COMM_LEN - 1)
+-	{
+-	  if (asprintf (&path, PROC_BASE "/%d/cmdline", pid_table[i]) < 0)
+-	    continue;
+-	  if (!(file = fopen (path, "r"))) {
+-	    free (path);
+-	    continue;
+-	  }
+-	  free (path);
+-          while (1) {
+-            /* look for actual command so we skip over initial "sh" if any */
+-            char *p;
+-	    int cmd_size = 128;
+-	    command_buf = (char *)malloc (cmd_size);
+-	    if (!command_buf)
+-	      exit (1);
+-
+-            /* 'cmdline' has arguments separated by nulls */
+-            for (p=command_buf; ; p++) {
+-              int c;
+-	      if (p == (command_buf + cmd_size)) 
+-		{
+-		  int cur_size = cmd_size;
+-		  cmd_size *= 2;
+-		  command_buf = (char *)realloc(command_buf, cmd_size);
+-		  if (!command_buf)
+-		    exit (1);
+-		  p = command_buf + cur_size;
+-		}
+-              c = fgetc(file);
+-              if (c == EOF || c == '\0') {
+-                *p = '\0';
+-                break;
+-              } else {
+-                *p = c;
+-              }
+-            }
+-            if (strlen(command_buf) == 0) {
+-              okay = 0;
+-              break;
+-            }
+-            p = strrchr(command_buf,'/');
+-            p = p ? p+1 : command_buf;
+-            if (strncmp(p, comm, COMM_LEN-1) == 0) {
+-              okay = 1;
+-              command = p;
+-              break;
+-            }
+-          }
+-          (void) fclose(file);
+-	  if (exact && !okay)
+-	    {
+-	      if (verbose)
+-		fprintf (stderr, _("skipping partial match %s(%d)\n"), comm,
+-			 pid_table[i]);
+-	      continue;
+-	    }
+-	  got_long = okay;
+-	}
+       /* mach by process name */
+       for (j = 0; j < names; j++)
+ 	{
+@@ -499,7 +437,7 @@ kill_all (int signal, int names, char **
+ 	        {
+ 		  int ok = 1;
+ 
+-	          if (asprintf (&path, PROC_BASE "/%d/exe", pid_table[i]) < 0)
++	          if (asprintf (&path, PROC_BASE "/%d/file", pid_table[i]) < 0)
+ 		    continue;
+ 
+ 	          if (stat (path, &st) < 0) 
+@@ -693,7 +631,7 @@ have_proc_self_stat (void)
+   struct stat isproc;
+   pid_t pid = getpid();
+ 
+-  snprintf(filename, sizeof(filename), PROC_BASE"/%d/stat", (int) pid);
++  snprintf(filename, sizeof(filename), PROC_BASE"/%d/status", (int) pid);
+   return stat(filename, &isproc) == 0;
+ }
+ 

+ 74 - 0
sysutils/psmisc/files/patch-src-pstree.c

@@ -0,0 +1,74 @@
+--- src/pstree.c.orig	2012-02-19 23:07:14 UTC
++++ src/pstree.c
+@@ -37,6 +37,9 @@
+ #include <term.h>
+ #include <termios.h>
+ #include <langinfo.h>
++#if defined __FreeBSD__ || defined __DragonFly__
++#include <limits.h>
++#endif
+ #include <assert.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
+@@ -609,7 +612,11 @@ static void read_proc(void)
+   struct dirent *de;
+   FILE *file;
+   struct stat st;
++#if defined __FreeBSD__ || defined __DragonFly__
++  char *path, comm[COMM_LEN + 1];
++#else
+   char *path, *comm;
++#endif
+   char *buffer;
+   size_t buffer_size;
+   char readbuf[BUFSIZ + 1];
+@@ -642,7 +649,11 @@ static void read_proc(void)
+     if ((pid = (pid_t) atoi(de->d_name)) != 0) {
+       if (! (path = malloc(strlen(PROC_BASE) + strlen(de->d_name) + 10)))
+         exit(2);
++#if defined __FreeBSD__ || defined __DragonFly__
++      sprintf(path, "%s/%d/status", PROC_BASE, pid);
++#else
+       sprintf(path, "%s/%d/stat", PROC_BASE, pid);
++#endif
+       if ((file = fopen(path, "r")) != NULL) {
+         empty = 0;
+         sprintf(path, "%s/%d", PROC_BASE, pid);
+@@ -657,6 +668,29 @@ static void read_proc(void)
+           perror(path);
+           exit(1);
+         }
++#if defined __FreeBSD__ || defined __DragonFly__
++        /* Read comm and ppid */
++        if (fscanf(file, "%s %*d %d", readbuf, &ppid) == 2) {
++          tmpptr = readbuf;
++          size = 0;
++          /* Unescape comm */
++          do {
++            if (*tmpptr == '\\')
++            {
++              char tmp = tmpptr[4];
++              tmpptr[4] = 0;
++              comm[size++] = strtol(++tmpptr, NULL, 8);
++              tmpptr += 2;
++              tmpptr[1] = tmp;
++            }
++            else
++              comm[size++] = *tmpptr;
++          } while (*++tmpptr);
++          comm[size] = 0;
++          /* Balance braces */
++          {
++            {
++#else
+         size = fread(readbuf, 1, BUFSIZ, file);
+         if (ferror(file) == 0) {
+           readbuf[size] = 0;
+@@ -711,6 +745,7 @@ static void read_proc(void)
+                   (void) closedir(taskdir);
+                 }
+               free(taskpath);
++#endif /*__FreeBSD__ || __DragonFly__ */
+               if (!print_args)
+ #ifdef WITH_SELINUX
+                 add_proc(comm, pid, ppid, st.st_uid, NULL, 0, 0, scontext);

+ 4 - 0
sysutils/psmisc/pkg-descr

@@ -0,0 +1,4 @@
+A port of the Linux pstree, killall and pidof commands.
+Does not include the 'fuser' command.
+
+WWW: http://psmisc.sourceforge.net/

+ 30 - 0
sysutils/psmisc/pkg-plist

@@ -0,0 +1,30 @@
+bin/killall
+bin/pidof
+bin/pstree
+bin/pstree.x11
+man/man1/killall.1.gz
+man/man1/pstree.1.gz
+%%NLS%%share/locale/bg/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/ca/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/de/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/el/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/eo/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/eu/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/fi/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/hu/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/id/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/it/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/nb/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/pt/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/ro/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/sv/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/zh_CN/LC_MESSAGES/psmisc.mo
+%%NLS%%share/locale/zh_TW/LC_MESSAGES/psmisc.mo

+ 18 - 0
textproc/rubygem-inifile/Makefile

@@ -0,0 +1,18 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/textproc/rubygem-inifile/Makefile 436527 2017-03-20 00:29:02Z sunpoet $
+
+PORTNAME=	inifile
+PORTVERSION=	3.0.0
+CATEGORIES=	textproc rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Native Ruby package for reading and writing INI files
+
+LICENSE=	MIT
+
+NO_ARCH=	yes
+USE_RUBY=	yes
+USES=		gem
+
+.include <bsd.port.mk>

+ 3 - 0
textproc/rubygem-inifile/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1489899186
+SHA256 (rubygem/inifile-3.0.0.gem) = b103eb3655ec93cc626cf2de00950e91f7e69b8398842968e17e1815cfacbfb0
+SIZE (rubygem/inifile-3.0.0.gem) = 18432

+ 3 - 0
textproc/rubygem-inifile/pkg-descr

@@ -0,0 +1,3 @@
+IniFile is a native Ruby package for reading and writing INI files.
+
+WWW: https://github.com/twp/inifile

+ 19 - 0
textproc/rubygem-phone/Makefile

@@ -0,0 +1,19 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/textproc/rubygem-phone/Makefile 414136 2016-04-27 21:57:31Z swills $
+
+PORTNAME=	phone
+PORTVERSION=	1.2.3
+CATEGORIES=	textproc rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Phone number parsing, validation and formatting
+
+LICENSE=	MIT
+
+NO_ARCH=	yes
+
+USE_RUBY=	yes
+USES=		gem
+
+.include <bsd.port.mk>

+ 2 - 0
textproc/rubygem-phone/distinfo

@@ -0,0 +1,2 @@
+SHA256 (rubygem/phone-1.2.3.gem) = 138bfaa624c2cfff57cb655c754911020ffd3228d48d9f591b8f447170cb8f9c
+SIZE (rubygem/phone-1.2.3.gem) = 26624

+ 3 - 0
textproc/rubygem-phone/pkg-descr

@@ -0,0 +1,3 @@
+Phone is a Ruby library for phone number parsing, validation and formatting.
+
+WWW: https://github.com/carr/phone

+ 22 - 0
textproc/rubygem-yard-chef/Makefile

@@ -0,0 +1,22 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/textproc/rubygem-yard-chef/Makefile 414136 2016-04-27 21:57:31Z swills $
+
+PORTNAME=	yard-chef
+PORTVERSION=	2.0.0
+CATEGORIES=	textproc devel rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	YARD plugin for Chef
+
+LICENSE=	MIT
+
+RUN_DEPENDS=	rubygem-yard>=0.9.9:textproc/rubygem-yard \
+		rubygem-redcarpet>=2.1.1:textproc/rubygem-redcarpet
+
+NO_ARCH=	yes
+
+USE_RUBY=	yes
+USES=		gem
+
+.include <bsd.port.mk>

+ 3 - 0
textproc/rubygem-yard-chef/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1494472500
+SHA256 (rubygem/yard-chef-2.0.0.gem) = 087386599668b51d1049416e6c4d81512fef34b4a07cff7619d9bf90d41318be
+SIZE (rubygem/yard-chef-2.0.0.gem) = 138240

+ 4 - 0
textproc/rubygem-yard-chef/pkg-descr

@@ -0,0 +1,4 @@
+yard-chef is a YARD plugin for Chef that adds support for documenting Chef
+resources, providers, and definitions.
+
+WWW: https://github.com/rightscale/yard-chef

+ 55 - 0
www/anyterm/Makefile

@@ -0,0 +1,55 @@
+# Created by: Douglas Thrift <douglas@douglasthrift.net>
+# $FreeBSD: head/www/anyterm/Makefile 498698 2019-04-12 06:36:31Z jbeich $
+
+PORTNAME=	anyterm
+PORTVERSION=	1.1.29
+PORTREVISION=	19
+CATEGORIES=	www
+MASTER_SITES=	http://anyterm.org/download/ \
+		http://dl1.douglasthrift.net/${PORTNAME}/ \
+		http://dl2.douglasthrift.net/${PORTNAME}/
+
+MAINTAINER=	douglas@douglasthrift.net
+COMMENT=	Terminal emulator on a Web page
+
+LICENSE=	GPLv2+
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
+LIB_DEPENDS=	libboost_system.so:devel/boost-libs
+
+BROKEN_aarch64=		does not build: libstdc++.so: undefined reference to __floatunditf@GCC_4.2.0
+BROKEN_armv6=		does not build: libstdc++.so: undefined reference to __aeabi_idiv@GCC_3.5
+BROKEN_armv7=		does not build: libstdc++.so: undefined reference to __aeabi_idiv@GCC_3.5
+BROKEN_powerpc64=	Does not build: ld: cannot find -lboost_system
+
+USE_RC_SUBR=	anytermd
+USES=		gmake iconv localbase tar:tbz2
+USE_GCC=	any
+ALL_TARGET=	default_target
+PLIST_FILES=	man/man1/anytermd.1.gz \
+		sbin/anytermd
+
+# Force the use of an older C++ standard; anyterm 1.1.29 is not compatible with
+# C++11.
+USE_CXXSTD=	gnu++98
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|/private/etc/apache2|${FILESDIR}|' \
+		${WRKSRC}/scripts/mimetype.sh
+	@${REINPLACE_CMD} \
+		-e 's|$$(CPP_FLAGS)|& ${CPPFLAGS} |' \
+		-e '/^COMPILE_FLAGS=/s|$$| ${CXXFLAGS}|' \
+		-e 's|$${OPTIMISE_FLAGS}||' \
+		-e 's|$$(LINK_FLAGS)|& -L${ICONV_PREFIX}/lib ${ICONV_LIB} |' \
+		${WRKSRC}/common.mk
+	@${REINPLACE_CMD} \
+		-e '/^COMPILE_FLAGS=/s|$$| ${CXXFLAGS}|' \
+		-e 's|$$(INC_FLAGS)|& ${CPPFLAGS} |' \
+		-e 's|$$(CXXFLAGS)||' -e 's|$$(OPTIMISE_FLAGS)||' \
+		${WRKSRC}/libpbe/common.mk
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/anytermd ${STAGEDIR}${PREFIX}/sbin/anytermd
+	${INSTALL_MAN} ${WRKSRC}/anytermd.1 ${STAGEDIR}${MANPREFIX}/man/man1/anytermd.1
+
+.include <bsd.port.mk>

+ 3 - 0
www/anyterm/distinfo

@@ -0,0 +1,3 @@
+TIMESTAMP = 1485183528
+SHA256 (anyterm-1.1.29.tbz2) = 6e7710cf2240cb4eced295bdf17de4b6ce223c7fe4d1668260a6d60a8aec9846
+SIZE (anyterm-1.1.29.tbz2) = 178424

+ 38 - 0
www/anyterm/files/anytermd.in

@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# $FreeBSD: head/www/anyterm/files/anytermd.in 340872 2014-01-24 00:14:07Z mat $
+#
+
+# PROVIDE: anytermd
+# REQUIRE: NETWORKING DAEMON LOGIN cleanvar devfs
+# KEYWORD: shutdown
+
+#
+# Add the following lines to /etc/rc.conf to enable anytermd:
+#
+# anytermd_enable (bool):   Set to "NO" by default.
+#                           Set it to "YES" to enable anytermd.
+#
+# anytermd_flags (str):     Set to "-c /usr/bin/login -u nobody --local-only"
+#                           by default. See anytermd(1) for flags.
+#
+# anytermd_name (str):      Set to "anyterm" by default.
+#
+
+. /etc/rc.subr
+
+name=anytermd
+rcvar=anytermd_enable
+
+load_rc_config $name
+
+# Set defaults
+: ${anytermd_enable:="NO"}
+: ${anytermd_flags:="-c /usr/bin/login -u nobody --local-only"}
+: ${anytermd_name:="anyterm"}
+
+pidfile=/var/run/$anytermd_name.pid
+command=%%PREFIX%%/sbin/$name
+command_args="$anytermd_flags --name $anytermd_name"
+
+run_rc_command "$1"

+ 1236 - 0
www/anyterm/files/mime.types

@@ -0,0 +1,1236 @@
+# This file maps Internet media types to unique file extension(s).
+# Although created for httpd, this file is used by many software systems
+# and has been placed in the public domain for unlimited redisribution.
+#
+# The table below contains both registered and (common) unregistered types.
+# A type that has no unique extension can be ignored -- they are listed
+# here to guide configurations toward known types and to make it easier to
+# identify "new" types.  File extensions are also commonly used to indicate
+# content languages and encodings, so choose them carefully.
+#
+# Internet media types should be registered as described in RFC 4288.
+# The registry is at <http://www.iana.org/assignments/media-types/>.
+#
+# MIME type					Extensions
+application/activemessage
+application/andrew-inset			ez
+application/applefile
+application/applixware				aw
+application/atom+xml				atom
+application/atomcat+xml				atomcat
+application/atomicmail
+application/atomsvc+xml				atomsvc
+application/auth-policy+xml
+application/batch-smtp
+application/beep+xml
+application/cals-1840
+application/ccxml+xml				ccxml
+application/cea-2018+xml
+application/cellml+xml
+application/cnrp+xml
+application/commonground
+application/conference-info+xml
+application/cpl+xml
+application/csta+xml
+application/cstadata+xml
+application/cu-seeme				cu
+application/cybercash
+application/davmount+xml			davmount
+application/dca-rft
+application/dec-dx
+application/dialog-info+xml
+application/dicom
+application/dns
+application/dvcs
+application/ecmascript				ecma
+application/edi-consent
+application/edi-x12
+application/edifact
+application/emma+xml				emma
+application/epp+xml
+application/epub+zip				epub
+application/eshop
+application/example
+application/fastinfoset
+application/fastsoap
+application/fits
+application/font-tdpfr				pfr
+application/h224
+application/http
+application/hyperstudio				stk
+application/ibe-key-request+xml
+application/ibe-pkg-reply+xml
+application/ibe-pp-data
+application/iges
+application/im-iscomposing+xml
+application/index
+application/index.cmd
+application/index.obj
+application/index.response
+application/index.vnd
+application/iotp
+application/ipp
+application/isup
+application/java-archive			jar
+application/java-serialized-object		ser
+application/java-vm				class
+application/javascript				js
+application/json				json
+application/kpml-request+xml
+application/kpml-response+xml
+application/lost+xml				lostxml
+application/mac-binhex40			hqx
+application/mac-compactpro			cpt
+application/macwriteii
+application/marc				mrc
+application/mathematica				ma nb mb
+application/mathml+xml				mathml
+application/mbms-associated-procedure-description+xml
+application/mbms-deregister+xml
+application/mbms-envelope+xml
+application/mbms-msk+xml
+application/mbms-msk-response+xml
+application/mbms-protection-description+xml
+application/mbms-reception-report+xml
+application/mbms-register+xml
+application/mbms-register-response+xml
+application/mbms-user-service-description+xml
+application/mbox				mbox
+application/media_control+xml
+application/mediaservercontrol+xml		mscml
+application/mikey
+application/moss-keys
+application/moss-signature
+application/mosskey-data
+application/mosskey-request
+application/mp4					mp4s
+application/mpeg4-generic
+application/mpeg4-iod
+application/mpeg4-iod-xmt
+application/msword				doc dot
+application/mxf					mxf
+application/nasdata
+application/news-checkgroups
+application/news-groupinfo
+application/news-transmission
+application/nss
+application/ocsp-request
+application/ocsp-response
+application/octet-stream bin dms lha lrf lzh so iso dmg dist distz pkg bpk dump elc deploy
+application/oda					oda
+application/oebps-package+xml			opf
+application/ogg					ogx
+application/onenote				onetoc onetoc2 onetmp onepkg
+application/parityfec
+application/patch-ops-error+xml			xer
+application/pdf					pdf
+application/pgp-encrypted			pgp
+application/pgp-keys
+application/pgp-signature			asc sig
+application/pics-rules				prf
+application/pidf+xml
+application/pidf-diff+xml
+application/pkcs10				p10
+application/pkcs7-mime				p7m p7c
+application/pkcs7-signature			p7s
+application/pkix-cert				cer
+application/pkix-crl				crl
+application/pkix-pkipath			pkipath
+application/pkixcmp				pki
+application/pls+xml				pls
+application/poc-settings+xml
+application/postscript				ai eps ps
+application/prs.alvestrand.titrax-sheet
+application/prs.cww				cww
+application/prs.nprend
+application/prs.plucker
+application/qsig
+application/rdf+xml				rdf
+application/reginfo+xml				rif
+application/relax-ng-compact-syntax		rnc
+application/remote-printing
+application/resource-lists+xml			rl
+application/resource-lists-diff+xml		rld
+application/riscos
+application/rlmi+xml
+application/rls-services+xml			rs
+application/rsd+xml				rsd
+application/rss+xml				rss
+application/rtf					rtf
+application/rtx
+application/samlassertion+xml
+application/samlmetadata+xml
+application/sbml+xml				sbml
+application/scvp-cv-request			scq
+application/scvp-cv-response			scs
+application/scvp-vp-request			spq
+application/scvp-vp-response			spp
+application/sdp					sdp
+application/set-payment
+application/set-payment-initiation		setpay
+application/set-registration
+application/set-registration-initiation		setreg
+application/sgml
+application/sgml-open-catalog
+application/shf+xml				shf
+application/sieve
+application/simple-filter+xml
+application/simple-message-summary
+application/simplesymbolcontainer
+application/slate
+application/smil
+application/smil+xml				smi smil
+application/soap+fastinfoset
+application/soap+xml
+application/sparql-query			rq
+application/sparql-results+xml			srx
+application/spirits-event+xml
+application/srgs				gram
+application/srgs+xml				grxml
+application/ssml+xml				ssml
+application/timestamp-query
+application/timestamp-reply
+application/tve-trigger
+application/ulpfec
+application/vemmi
+application/vividence.scriptfile
+application/vnd.3gpp.bsf+xml
+application/vnd.3gpp.pic-bw-large		plb
+application/vnd.3gpp.pic-bw-small		psb
+application/vnd.3gpp.pic-bw-var			pvb
+application/vnd.3gpp.sms
+application/vnd.3gpp2.bcmcsinfo+xml
+application/vnd.3gpp2.sms
+application/vnd.3gpp2.tcap			tcap
+application/vnd.3m.post-it-notes		pwn
+application/vnd.accpac.simply.aso		aso
+application/vnd.accpac.simply.imp		imp
+application/vnd.acucobol			acu
+application/vnd.acucorp				atc acutc
+application/vnd.adobe.air-application-installer-package+zip	air
+application/vnd.adobe.xdp+xml			xdp
+application/vnd.adobe.xfdf			xfdf
+application/vnd.aether.imp
+application/vnd.airzip.filesecure.azf		azf
+application/vnd.airzip.filesecure.azs		azs
+application/vnd.amazon.ebook			azw
+application/vnd.americandynamics.acc		acc
+application/vnd.amiga.ami			ami
+application/vnd.android.package-archive		apk
+application/vnd.anser-web-certificate-issue-initiation	cii
+application/vnd.anser-web-funds-transfer-initiation	fti
+application/vnd.antix.game-component		atx
+application/vnd.apple.installer+xml		mpkg
+application/vnd.arastra.swi			swi
+application/vnd.audiograph			aep
+application/vnd.autopackage
+application/vnd.avistar+xml
+application/vnd.blueice.multipass		mpm
+application/vnd.bluetooth.ep.oob
+application/vnd.bmi				bmi
+application/vnd.businessobjects			rep
+application/vnd.cab-jscript
+application/vnd.canon-cpdl
+application/vnd.canon-lips
+application/vnd.cendio.thinlinc.clientconf
+application/vnd.chemdraw+xml			cdxml
+application/vnd.chipnuts.karaoke-mmd		mmd
+application/vnd.cinderella			cdy
+application/vnd.cirpack.isdn-ext
+application/vnd.claymore			cla
+application/vnd.clonk.c4group			c4g c4d c4f c4p c4u
+application/vnd.commerce-battelle
+application/vnd.commonspace			csp
+application/vnd.contact.cmsg			cdbcmsg
+application/vnd.cosmocaller			cmc
+application/vnd.crick.clicker			clkx
+application/vnd.crick.clicker.keyboard		clkk
+application/vnd.crick.clicker.palette		clkp
+application/vnd.crick.clicker.template		clkt
+application/vnd.crick.clicker.wordbank		clkw
+application/vnd.criticaltools.wbs+xml		wbs
+application/vnd.ctc-posml			pml
+application/vnd.ctct.ws+xml
+application/vnd.cups-pdf
+application/vnd.cups-postscript
+application/vnd.cups-ppd			ppd
+application/vnd.cups-raster
+application/vnd.cups-raw
+application/vnd.curl.car			car
+application/vnd.curl.pcurl			pcurl
+application/vnd.cybank
+application/vnd.data-vision.rdz			rdz
+application/vnd.denovo.fcselayout-link		fe_launch
+application/vnd.dir-bi.plate-dl-nosuffix
+application/vnd.dna				dna
+application/vnd.dolby.mlp			mlp
+application/vnd.dolby.mobile.1
+application/vnd.dolby.mobile.2
+application/vnd.dpgraph				dpg
+application/vnd.dreamfactory			dfac
+application/vnd.dvb.esgcontainer
+application/vnd.dvb.ipdcdftnotifaccess
+application/vnd.dvb.ipdcesgaccess
+application/vnd.dvb.ipdcroaming
+application/vnd.dvb.iptv.alfec-base
+application/vnd.dvb.iptv.alfec-enhancement
+application/vnd.dvb.notif-aggregate-root+xml
+application/vnd.dvb.notif-container+xml
+application/vnd.dvb.notif-generic+xml
+application/vnd.dvb.notif-ia-msglist+xml
+application/vnd.dvb.notif-ia-registration-request+xml
+application/vnd.dvb.notif-ia-registration-response+xml
+application/vnd.dvb.notif-init+xml
+application/vnd.dxr
+application/vnd.dynageo				geo
+application/vnd.ecdis-update
+application/vnd.ecowin.chart			mag
+application/vnd.ecowin.filerequest
+application/vnd.ecowin.fileupdate
+application/vnd.ecowin.series
+application/vnd.ecowin.seriesrequest
+application/vnd.ecowin.seriesupdate
+application/vnd.emclient.accessrequest+xml
+application/vnd.enliven				nml
+application/vnd.epson.esf			esf
+application/vnd.epson.msf			msf
+application/vnd.epson.quickanime		qam
+application/vnd.epson.salt			slt
+application/vnd.epson.ssf			ssf
+application/vnd.ericsson.quickcall
+application/vnd.eszigno3+xml			es3 et3
+application/vnd.etsi.aoc+xml
+application/vnd.etsi.cug+xml
+application/vnd.etsi.iptvcommand+xml
+application/vnd.etsi.iptvdiscovery+xml
+application/vnd.etsi.iptvprofile+xml
+application/vnd.etsi.iptvsad-bc+xml
+application/vnd.etsi.iptvsad-cod+xml
+application/vnd.etsi.iptvsad-npvr+xml
+application/vnd.etsi.iptvueprofile+xml
+application/vnd.etsi.mcid+xml
+application/vnd.etsi.sci+xml
+application/vnd.etsi.simservs+xml
+application/vnd.eudora.data
+application/vnd.ezpix-album			ez2
+application/vnd.ezpix-package			ez3
+application/vnd.f-secure.mobile
+application/vnd.fdf				fdf
+application/vnd.fdsn.mseed			mseed
+application/vnd.fdsn.seed			seed dataless
+application/vnd.ffsns
+application/vnd.fints
+application/vnd.flographit			gph
+application/vnd.fluxtime.clip			ftc
+application/vnd.font-fontforge-sfd
+application/vnd.framemaker			fm frame maker book
+application/vnd.frogans.fnc			fnc
+application/vnd.frogans.ltf			ltf
+application/vnd.fsc.weblaunch			fsc
+application/vnd.fujitsu.oasys			oas
+application/vnd.fujitsu.oasys2			oa2
+application/vnd.fujitsu.oasys3			oa3
+application/vnd.fujitsu.oasysgp			fg5
+application/vnd.fujitsu.oasysprs		bh2
+application/vnd.fujixerox.art-ex
+application/vnd.fujixerox.art4
+application/vnd.fujixerox.hbpl
+application/vnd.fujixerox.ddd			ddd
+application/vnd.fujixerox.docuworks		xdw
+application/vnd.fujixerox.docuworks.binder	xbd
+application/vnd.fut-misnet
+application/vnd.fuzzysheet			fzs
+application/vnd.genomatix.tuxedo		txd
+application/vnd.geogebra.file			ggb
+application/vnd.geogebra.tool			ggt
+application/vnd.geometry-explorer		gex gre
+application/vnd.gmx				gmx
+application/vnd.google-earth.kml+xml		kml
+application/vnd.google-earth.kmz		kmz
+application/vnd.grafeq				gqf gqs
+application/vnd.gridmp
+application/vnd.groove-account			gac
+application/vnd.groove-help			ghf
+application/vnd.groove-identity-message		gim
+application/vnd.groove-injector			grv
+application/vnd.groove-tool-message		gtm
+application/vnd.groove-tool-template		tpl
+application/vnd.groove-vcard			vcg
+application/vnd.handheld-entertainment+xml	zmm
+application/vnd.hbci				hbci
+application/vnd.hcl-bireports
+application/vnd.hhe.lesson-player		les
+application/vnd.hp-hpgl				hpgl
+application/vnd.hp-hpid				hpid
+application/vnd.hp-hps				hps
+application/vnd.hp-jlyt				jlt
+application/vnd.hp-pcl				pcl
+application/vnd.hp-pclxl			pclxl
+application/vnd.httphone
+application/vnd.hydrostatix.sof-data		sfd-hdstx
+application/vnd.hzn-3d-crossword		x3d
+application/vnd.ibm.afplinedata
+application/vnd.ibm.electronic-media
+application/vnd.ibm.minipay			mpy
+application/vnd.ibm.modcap			afp listafp list3820
+application/vnd.ibm.rights-management		irm
+application/vnd.ibm.secure-container		sc
+application/vnd.iccprofile			icc icm
+application/vnd.igloader			igl
+application/vnd.immervision-ivp			ivp
+application/vnd.immervision-ivu			ivu
+application/vnd.informedcontrol.rms+xml
+application/vnd.informix-visionary
+application/vnd.intercon.formnet		xpw xpx
+application/vnd.intertrust.digibox
+application/vnd.intertrust.nncp
+application/vnd.intu.qbo			qbo
+application/vnd.intu.qfx			qfx
+application/vnd.iptc.g2.conceptitem+xml
+application/vnd.iptc.g2.knowledgeitem+xml
+application/vnd.iptc.g2.newsitem+xml
+application/vnd.iptc.g2.packageitem+xml
+application/vnd.ipunplugged.rcprofile		rcprofile
+application/vnd.irepository.package+xml		irp
+application/vnd.is-xpr				xpr
+application/vnd.jam				jam
+application/vnd.japannet-directory-service
+application/vnd.japannet-jpnstore-wakeup
+application/vnd.japannet-payment-wakeup
+application/vnd.japannet-registration
+application/vnd.japannet-registration-wakeup
+application/vnd.japannet-setstore-wakeup
+application/vnd.japannet-verification
+application/vnd.japannet-verification-wakeup
+application/vnd.jcp.javame.midlet-rms		rms
+application/vnd.jisp				jisp
+application/vnd.joost.joda-archive		joda
+application/vnd.kahootz				ktz ktr
+application/vnd.kde.karbon			karbon
+application/vnd.kde.kchart			chrt
+application/vnd.kde.kformula			kfo
+application/vnd.kde.kivio			flw
+application/vnd.kde.kontour			kon
+application/vnd.kde.kpresenter			kpr kpt
+application/vnd.kde.kspread			ksp
+application/vnd.kde.kword			kwd kwt
+application/vnd.kenameaapp			htke
+application/vnd.kidspiration			kia
+application/vnd.kinar				kne knp
+application/vnd.koan				skp skd skt skm
+application/vnd.kodak-descriptor		sse
+application/vnd.liberty-request+xml
+application/vnd.llamagraphics.life-balance.desktop	lbd
+application/vnd.llamagraphics.life-balance.exchange+xml	lbe
+application/vnd.lotus-1-2-3			123
+application/vnd.lotus-approach			apr
+application/vnd.lotus-freelance			pre
+application/vnd.lotus-notes			nsf
+application/vnd.lotus-organizer			org
+application/vnd.lotus-screencam			scm
+application/vnd.lotus-wordpro			lwp
+application/vnd.macports.portpkg		portpkg
+application/vnd.marlin.drm.actiontoken+xml
+application/vnd.marlin.drm.conftoken+xml
+application/vnd.marlin.drm.license+xml
+application/vnd.marlin.drm.mdcf
+application/vnd.mcd				mcd
+application/vnd.medcalcdata			mc1
+application/vnd.mediastation.cdkey		cdkey
+application/vnd.meridian-slingshot
+application/vnd.mfer				mwf
+application/vnd.mfmp				mfm
+application/vnd.micrografx.flo			flo
+application/vnd.micrografx.igx			igx
+application/vnd.mif				mif
+application/vnd.minisoft-hp3000-save
+application/vnd.mitsubishi.misty-guard.trustweb
+application/vnd.mobius.daf			daf
+application/vnd.mobius.dis			dis
+application/vnd.mobius.mbk			mbk
+application/vnd.mobius.mqy			mqy
+application/vnd.mobius.msl			msl
+application/vnd.mobius.plc			plc
+application/vnd.mobius.txf			txf
+application/vnd.mophun.application		mpn
+application/vnd.mophun.certificate		mpc
+application/vnd.motorola.flexsuite
+application/vnd.motorola.flexsuite.adsi
+application/vnd.motorola.flexsuite.fis
+application/vnd.motorola.flexsuite.gotap
+application/vnd.motorola.flexsuite.kmr
+application/vnd.motorola.flexsuite.ttc
+application/vnd.motorola.flexsuite.wem
+application/vnd.motorola.iprm
+application/vnd.mozilla.xul+xml			xul
+application/vnd.ms-artgalry			cil
+application/vnd.ms-asf
+application/vnd.ms-cab-compressed		cab
+application/vnd.ms-excel			xls xlm xla xlc xlt xlw
+application/vnd.ms-excel.addin.macroenabled.12		xlam
+application/vnd.ms-excel.sheet.binary.macroenabled.12	xlsb
+application/vnd.ms-excel.sheet.macroenabled.12		xlsm
+application/vnd.ms-excel.template.macroenabled.12	xltm
+application/vnd.ms-fontobject			eot
+application/vnd.ms-htmlhelp			chm
+application/vnd.ms-ims				ims
+application/vnd.ms-lrm				lrm
+application/vnd.ms-pki.seccat			cat
+application/vnd.ms-pki.stl			stl
+application/vnd.ms-playready.initiator+xml
+application/vnd.ms-powerpoint			ppt pps pot
+application/vnd.ms-powerpoint.addin.macroenabled.12		ppam
+application/vnd.ms-powerpoint.presentation.macroenabled.12	pptm
+application/vnd.ms-powerpoint.slide.macroenabled.12		sldm
+application/vnd.ms-powerpoint.slideshow.macroenabled.12		ppsm
+application/vnd.ms-powerpoint.template.macroenabled.12		potm
+application/vnd.ms-project			mpp mpt
+application/vnd.ms-tnef
+application/vnd.ms-wmdrm.lic-chlg-req
+application/vnd.ms-wmdrm.lic-resp
+application/vnd.ms-wmdrm.meter-chlg-req
+application/vnd.ms-wmdrm.meter-resp
+application/vnd.ms-word.document.macroenabled.12	docm
+application/vnd.ms-word.template.macroenabled.12	dotm
+application/vnd.ms-works			wps wks wcm wdb
+application/vnd.ms-wpl				wpl
+application/vnd.ms-xpsdocument			xps
+application/vnd.mseq				mseq
+application/vnd.msign
+application/vnd.multiad.creator
+application/vnd.multiad.creator.cif
+application/vnd.music-niff
+application/vnd.musician			mus
+application/vnd.muvee.style			msty
+application/vnd.ncd.control
+application/vnd.ncd.reference
+application/vnd.nervana
+application/vnd.netfpx
+application/vnd.neurolanguage.nlu		nlu
+application/vnd.noblenet-directory		nnd
+application/vnd.noblenet-sealer			nns
+application/vnd.noblenet-web			nnw
+application/vnd.nokia.catalogs
+application/vnd.nokia.conml+wbxml
+application/vnd.nokia.conml+xml
+application/vnd.nokia.isds-radio-presets
+application/vnd.nokia.iptv.config+xml
+application/vnd.nokia.landmark+wbxml
+application/vnd.nokia.landmark+xml
+application/vnd.nokia.landmarkcollection+xml
+application/vnd.nokia.n-gage.ac+xml
+application/vnd.nokia.n-gage.data		ngdat
+application/vnd.nokia.n-gage.symbian.install	n-gage
+application/vnd.nokia.ncd
+application/vnd.nokia.pcd+wbxml
+application/vnd.nokia.pcd+xml
+application/vnd.nokia.radio-preset		rpst
+application/vnd.nokia.radio-presets		rpss
+application/vnd.novadigm.edm			edm
+application/vnd.novadigm.edx			edx
+application/vnd.novadigm.ext			ext
+application/vnd.oasis.opendocument.chart		odc
+application/vnd.oasis.opendocument.chart-template	otc
+application/vnd.oasis.opendocument.database		odb
+application/vnd.oasis.opendocument.formula		odf
+application/vnd.oasis.opendocument.formula-template	odft
+application/vnd.oasis.opendocument.graphics		odg
+application/vnd.oasis.opendocument.graphics-template	otg
+application/vnd.oasis.opendocument.image		odi
+application/vnd.oasis.opendocument.image-template	oti
+application/vnd.oasis.opendocument.presentation		odp
+application/vnd.oasis.opendocument.presentation-template otp
+application/vnd.oasis.opendocument.spreadsheet		ods
+application/vnd.oasis.opendocument.spreadsheet-template	ots
+application/vnd.oasis.opendocument.text			odt
+application/vnd.oasis.opendocument.text-master		otm
+application/vnd.oasis.opendocument.text-template	ott
+application/vnd.oasis.opendocument.text-web		oth
+application/vnd.obn
+application/vnd.olpc-sugar			xo
+application/vnd.oma-scws-config
+application/vnd.oma-scws-http-request
+application/vnd.oma-scws-http-response
+application/vnd.oma.bcast.associated-procedure-parameter+xml
+application/vnd.oma.bcast.drm-trigger+xml
+application/vnd.oma.bcast.imd+xml
+application/vnd.oma.bcast.ltkm
+application/vnd.oma.bcast.notification+xml
+application/vnd.oma.bcast.provisioningtrigger
+application/vnd.oma.bcast.sgboot
+application/vnd.oma.bcast.sgdd+xml
+application/vnd.oma.bcast.sgdu
+application/vnd.oma.bcast.simple-symbol-container
+application/vnd.oma.bcast.smartcard-trigger+xml
+application/vnd.oma.bcast.sprov+xml
+application/vnd.oma.bcast.stkm
+application/vnd.oma.dcd
+application/vnd.oma.dcdc
+application/vnd.oma.dd2+xml			dd2
+application/vnd.oma.drm.risd+xml
+application/vnd.oma.group-usage-list+xml
+application/vnd.oma.poc.detailed-progress-report+xml
+application/vnd.oma.poc.final-report+xml
+application/vnd.oma.poc.groups+xml
+application/vnd.oma.poc.invocation-descriptor+xml
+application/vnd.oma.poc.optimized-progress-report+xml
+application/vnd.oma.xcap-directory+xml
+application/vnd.omads-email+xml
+application/vnd.omads-file+xml
+application/vnd.omads-folder+xml
+application/vnd.omaloc-supl-init
+application/vnd.openofficeorg.extension		oxt
+application/vnd.openxmlformats-officedocument.presentationml.presentation pptx
+application/vnd.openxmlformats-officedocument.presentationml.slide	sldx
+application/vnd.openxmlformats-officedocument.presentationml.slideshow	ppsx
+application/vnd.openxmlformats-officedocument.presentationml.template	potx
+application/vnd.openxmlformats-officedocument.spreadsheetml.sheet	xlsx
+application/vnd.openxmlformats-officedocument.spreadsheetml.template	xltx
+application/vnd.openxmlformats-officedocument.wordprocessingml.document	docx
+application/vnd.openxmlformats-officedocument.wordprocessingml.template	dotx
+application/vnd.osa.netdeploy
+application/vnd.osgi.bundle
+application/vnd.osgi.dp				dp
+application/vnd.otps.ct-kip+xml
+application/vnd.palm				pdb pqa oprc
+application/vnd.paos.xml
+application/vnd.pg.format			str
+application/vnd.pg.osasli			ei6
+application/vnd.piaccess.application-licence
+application/vnd.picsel				efif
+application/vnd.poc.group-advertisement+xml
+application/vnd.pocketlearn			plf
+application/vnd.powerbuilder6			pbd
+application/vnd.powerbuilder6-s
+application/vnd.powerbuilder7
+application/vnd.powerbuilder7-s
+application/vnd.powerbuilder75
+application/vnd.powerbuilder75-s
+application/vnd.preminet
+application/vnd.previewsystems.box		box
+application/vnd.proteus.magazine		mgz
+application/vnd.publishare-delta-tree		qps
+application/vnd.pvi.ptid1			ptid
+application/vnd.pwg-multiplexed
+application/vnd.pwg-xhtml-print+xml
+application/vnd.qualcomm.brew-app-res
+application/vnd.quark.quarkxpress		qxd qxt qwd qwt qxl qxb
+application/vnd.rapid
+application/vnd.recordare.musicxml		mxl
+application/vnd.recordare.musicxml+xml		musicxml
+application/vnd.renlearn.rlprint
+application/vnd.rim.cod				cod
+application/vnd.rn-realmedia			rm
+application/vnd.route66.link66+xml		link66
+application/vnd.ruckus.download
+application/vnd.s3sms
+application/vnd.sbm.cid
+application/vnd.sbm.mid2
+application/vnd.scribus
+application/vnd.sealed.3df
+application/vnd.sealed.csf
+application/vnd.sealed.doc
+application/vnd.sealed.eml
+application/vnd.sealed.mht
+application/vnd.sealed.net
+application/vnd.sealed.ppt
+application/vnd.sealed.tiff
+application/vnd.sealed.xls
+application/vnd.sealedmedia.softseal.html
+application/vnd.sealedmedia.softseal.pdf
+application/vnd.seemail				see
+application/vnd.sema				sema
+application/vnd.semd				semd
+application/vnd.semf				semf
+application/vnd.shana.informed.formdata		ifm
+application/vnd.shana.informed.formtemplate	itp
+application/vnd.shana.informed.interchange	iif
+application/vnd.shana.informed.package		ipk
+application/vnd.simtech-mindmapper		twd twds
+application/vnd.smaf				mmf
+application/vnd.smart.teacher			teacher
+application/vnd.software602.filler.form+xml
+application/vnd.software602.filler.form-xml-zip
+application/vnd.solent.sdkm+xml			sdkm sdkd
+application/vnd.spotfire.dxp			dxp
+application/vnd.spotfire.sfs			sfs
+application/vnd.sss-cod
+application/vnd.sss-dtf
+application/vnd.sss-ntf
+application/vnd.stardivision.calc		sdc
+application/vnd.stardivision.draw		sda
+application/vnd.stardivision.impress		sdd
+application/vnd.stardivision.math		smf
+application/vnd.stardivision.writer		sdw
+application/vnd.stardivision.writer		vor
+application/vnd.stardivision.writer-global	sgl
+application/vnd.street-stream
+application/vnd.sun.xml.calc			sxc
+application/vnd.sun.xml.calc.template		stc
+application/vnd.sun.xml.draw			sxd
+application/vnd.sun.xml.draw.template		std
+application/vnd.sun.xml.impress			sxi
+application/vnd.sun.xml.impress.template	sti
+application/vnd.sun.xml.math			sxm
+application/vnd.sun.xml.writer			sxw
+application/vnd.sun.xml.writer.global		sxg
+application/vnd.sun.xml.writer.template		stw
+application/vnd.sun.wadl+xml
+application/vnd.sus-calendar			sus susp
+application/vnd.svd				svd
+application/vnd.swiftview-ics
+application/vnd.symbian.install			sis sisx
+application/vnd.syncml+xml			xsm
+application/vnd.syncml.dm+wbxml			bdm
+application/vnd.syncml.dm+xml			xdm
+application/vnd.syncml.dm.notification
+application/vnd.syncml.ds.notification
+application/vnd.tao.intent-module-archive	tao
+application/vnd.tmobile-livetv			tmo
+application/vnd.trid.tpt			tpt
+application/vnd.triscape.mxs			mxs
+application/vnd.trueapp				tra
+application/vnd.truedoc
+application/vnd.ufdl				ufd ufdl
+application/vnd.uiq.theme			utz
+application/vnd.umajin				umj
+application/vnd.unity				unityweb
+application/vnd.uoml+xml			uoml
+application/vnd.uplanet.alert
+application/vnd.uplanet.alert-wbxml
+application/vnd.uplanet.bearer-choice
+application/vnd.uplanet.bearer-choice-wbxml
+application/vnd.uplanet.cacheop
+application/vnd.uplanet.cacheop-wbxml
+application/vnd.uplanet.channel
+application/vnd.uplanet.channel-wbxml
+application/vnd.uplanet.list
+application/vnd.uplanet.list-wbxml
+application/vnd.uplanet.listcmd
+application/vnd.uplanet.listcmd-wbxml
+application/vnd.uplanet.signal
+application/vnd.vcx				vcx
+application/vnd.vd-study
+application/vnd.vectorworks
+application/vnd.vidsoft.vidconference
+application/vnd.visio				vsd vst vss vsw
+application/vnd.visionary			vis
+application/vnd.vividence.scriptfile
+application/vnd.vsf				vsf
+application/vnd.wap.sic
+application/vnd.wap.slc
+application/vnd.wap.wbxml			wbxml
+application/vnd.wap.wmlc			wmlc
+application/vnd.wap.wmlscriptc			wmlsc
+application/vnd.webturbo			wtb
+application/vnd.wfa.wsc
+application/vnd.wmc
+application/vnd.wmf.bootstrap
+application/vnd.wordperfect			wpd
+application/vnd.wqd				wqd
+application/vnd.wrq-hp3000-labelled
+application/vnd.wt.stf				stf
+application/vnd.wv.csp+wbxml
+application/vnd.wv.csp+xml
+application/vnd.wv.ssp+xml
+application/vnd.xara				xar
+application/vnd.xfdl				xfdl
+application/vnd.xfdl.webform
+application/vnd.xmi+xml
+application/vnd.xmpie.cpkg
+application/vnd.xmpie.dpkg
+application/vnd.xmpie.plan
+application/vnd.xmpie.ppkg
+application/vnd.xmpie.xlim
+application/vnd.yamaha.hv-dic			hvd
+application/vnd.yamaha.hv-script		hvs
+application/vnd.yamaha.hv-voice			hvp
+application/vnd.yamaha.openscoreformat			osf
+application/vnd.yamaha.openscoreformat.osfpvg+xml	osfpvg
+application/vnd.yamaha.smaf-audio		saf
+application/vnd.yamaha.smaf-phrase		spf
+application/vnd.yellowriver-custom-menu		cmp
+application/vnd.zul				zir zirz
+application/vnd.zzazz.deck+xml			zaz
+application/voicexml+xml			vxml
+application/watcherinfo+xml
+application/whoispp-query
+application/whoispp-response
+application/winhlp				hlp
+application/wita
+application/wordperfect5.1
+application/wsdl+xml				wsdl
+application/wspolicy+xml			wspolicy
+application/x-abiword				abw
+application/x-ace-compressed			ace
+application/x-authorware-bin			aab x32 u32 vox
+application/x-authorware-map			aam
+application/x-authorware-seg			aas
+application/x-bcpio				bcpio
+application/x-bittorrent			torrent
+application/x-bzip				bz
+application/x-bzip2				bz2 boz
+application/x-cdlink				vcd
+application/x-chat				chat
+application/x-chess-pgn				pgn
+application/x-compress
+application/x-cpio				cpio
+application/x-csh				csh
+application/x-debian-package			deb udeb
+application/x-director			dir dcr dxr cst cct cxt w3d fgd swa
+application/x-doom				wad
+application/x-dtbncx+xml			ncx
+application/x-dtbook+xml			dtb
+application/x-dtbresource+xml			res
+application/x-dvi				dvi
+application/x-font-bdf				bdf
+application/x-font-dos
+application/x-font-framemaker
+application/x-font-ghostscript			gsf
+application/x-font-libgrx
+application/x-font-linux-psf			psf
+application/x-font-otf				otf
+application/x-font-pcf				pcf
+application/x-font-snf				snf
+application/x-font-speedo
+application/x-font-sunos-news
+application/x-font-ttf				ttf ttc
+application/x-font-type1			pfa pfb pfm afm
+application/x-font-vfont
+application/x-futuresplash			spl
+application/x-gnumeric				gnumeric
+application/x-gtar				gtar
+application/x-gzip
+application/x-hdf				hdf
+application/x-java-jnlp-file			jnlp
+application/x-latex				latex
+application/x-mobipocket-ebook			prc mobi
+application/x-ms-application			application
+application/x-ms-wmd				wmd
+application/x-ms-wmz				wmz
+application/x-ms-xbap				xbap
+application/x-msaccess				mdb
+application/x-msbinder				obd
+application/x-mscardfile			crd
+application/x-msclip				clp
+application/x-msdownload			exe dll com bat msi
+application/x-msmediaview			mvb m13 m14
+application/x-msmetafile			wmf
+application/x-msmoney				mny
+application/x-mspublisher			pub
+application/x-msschedule			scd
+application/x-msterminal			trm
+application/x-mswrite				wri
+application/x-netcdf				nc cdf
+application/x-pkcs12				p12 pfx
+application/x-pkcs7-certificates		p7b spc
+application/x-pkcs7-certreqresp			p7r
+application/x-rar-compressed			rar
+application/x-sh				sh
+application/x-shar				shar
+application/x-shockwave-flash			swf
+application/x-silverlight-app			xap
+application/x-stuffit				sit
+application/x-stuffitx				sitx
+application/x-sv4cpio				sv4cpio
+application/x-sv4crc				sv4crc
+application/x-tar				tar
+application/x-tcl				tcl
+application/x-tex				tex
+application/x-tex-tfm				tfm
+application/x-texinfo				texinfo texi
+application/x-ustar				ustar
+application/x-wais-source			src
+application/x-x509-ca-cert			der crt
+application/x-xfig				fig
+application/x-xpinstall				xpi
+application/x400-bp
+application/xcap-att+xml
+application/xcap-caps+xml
+application/xcap-el+xml
+application/xcap-error+xml
+application/xcap-ns+xml
+application/xcon-conference-info-diff+xml
+application/xcon-conference-info+xml
+application/xenc+xml				xenc
+application/xhtml+xml				xhtml xht
+application/xhtml-voice+xml
+application/xml					xml xsl
+application/xml-dtd				dtd
+application/xml-external-parsed-entity
+application/xmpp+xml
+application/xop+xml				xop
+application/xslt+xml				xslt
+application/xspf+xml				xspf
+application/xv+xml				mxml xhvml xvml xvm
+application/zip					zip
+audio/32kadpcm
+audio/3gpp
+audio/3gpp2
+audio/ac3
+audio/adpcm					adp
+audio/amr
+audio/amr-wb
+audio/amr-wb+
+audio/asc
+audio/basic					au snd
+audio/bv16
+audio/bv32
+audio/clearmode
+audio/cn
+audio/dat12
+audio/dls
+audio/dsr-es201108
+audio/dsr-es202050
+audio/dsr-es202211
+audio/dsr-es202212
+audio/dvi4
+audio/eac3
+audio/evrc
+audio/evrc-qcp
+audio/evrc0
+audio/evrc1
+audio/evrcb
+audio/evrcb0
+audio/evrcb1
+audio/evrcwb
+audio/evrcwb0
+audio/evrcwb1
+audio/example
+audio/g719
+audio/g722
+audio/g7221
+audio/g723
+audio/g726-16
+audio/g726-24
+audio/g726-32
+audio/g726-40
+audio/g728
+audio/g729
+audio/g7291
+audio/g729d
+audio/g729e
+audio/gsm
+audio/gsm-efr
+audio/ilbc
+audio/l16
+audio/l20
+audio/l24
+audio/l8
+audio/lpc
+audio/midi					mid midi kar rmi
+audio/mobile-xmf
+audio/mp4					mp4a
+audio/mp4a-latm
+audio/mpa
+audio/mpa-robust
+audio/mpeg					mpga mp2 mp2a mp3 m2a m3a
+audio/mpeg4-generic
+audio/ogg					oga ogg spx
+audio/parityfec
+audio/pcma
+audio/pcma-wb
+audio/pcmu-wb
+audio/pcmu
+audio/prs.sid
+audio/qcelp
+audio/red
+audio/rtp-enc-aescm128
+audio/rtp-midi
+audio/rtx
+audio/smv
+audio/smv0
+audio/smv-qcp
+audio/sp-midi
+audio/t140c
+audio/t38
+audio/telephone-event
+audio/tone
+audio/ulpfec
+audio/vdvi
+audio/vmr-wb
+audio/vnd.3gpp.iufp
+audio/vnd.4sb
+audio/vnd.audiokoz
+audio/vnd.celp
+audio/vnd.cisco.nse
+audio/vnd.cmles.radio-events
+audio/vnd.cns.anp1
+audio/vnd.cns.inf1
+audio/vnd.digital-winds				eol
+audio/vnd.dlna.adts
+audio/vnd.dolby.heaac.1
+audio/vnd.dolby.heaac.2
+audio/vnd.dolby.mlp
+audio/vnd.dolby.mps
+audio/vnd.dolby.pl2
+audio/vnd.dolby.pl2x
+audio/vnd.dolby.pl2z
+audio/vnd.dts					dts
+audio/vnd.dts.hd				dtshd
+audio/vnd.everad.plj
+audio/vnd.hns.audio
+audio/vnd.lucent.voice				lvp
+audio/vnd.ms-playready.media.pya		pya
+audio/vnd.nokia.mobile-xmf
+audio/vnd.nortel.vbk
+audio/vnd.nuera.ecelp4800			ecelp4800
+audio/vnd.nuera.ecelp7470			ecelp7470
+audio/vnd.nuera.ecelp9600			ecelp9600
+audio/vnd.octel.sbc
+audio/vnd.qcelp
+audio/vnd.rhetorex.32kadpcm
+audio/vnd.sealedmedia.softseal.mpeg
+audio/vnd.vmx.cvsd
+audio/vorbis
+audio/vorbis-config
+audio/x-aac					aac
+audio/x-aiff					aif aiff aifc
+audio/x-mpegurl					m3u
+audio/x-ms-wax					wax
+audio/x-ms-wma					wma
+audio/x-pn-realaudio				ram ra
+audio/x-pn-realaudio-plugin			rmp
+audio/x-wav					wav
+chemical/x-cdx					cdx
+chemical/x-cif					cif
+chemical/x-cmdf					cmdf
+chemical/x-cml					cml
+chemical/x-csml					csml
+chemical/x-pdb
+chemical/x-xyz					xyz
+image/bmp					bmp
+image/cgm					cgm
+image/example
+image/fits
+image/g3fax					g3
+image/gif					gif
+image/ief					ief
+image/jp2
+image/jpeg					jpeg jpg jpe
+image/jpm
+image/jpx
+image/naplps
+image/png					png
+image/prs.btif					btif
+image/prs.pti
+image/svg+xml					svg svgz
+image/t38
+image/tiff					tiff tif
+image/tiff-fx
+image/vnd.adobe.photoshop			psd
+image/vnd.cns.inf2
+image/vnd.djvu					djvu djv
+image/vnd.dwg					dwg
+image/vnd.dxf					dxf
+image/vnd.fastbidsheet				fbs
+image/vnd.fpx					fpx
+image/vnd.fst					fst
+image/vnd.fujixerox.edmics-mmr			mmr
+image/vnd.fujixerox.edmics-rlc			rlc
+image/vnd.globalgraphics.pgb
+image/vnd.microsoft.icon
+image/vnd.mix
+image/vnd.ms-modi				mdi
+image/vnd.net-fpx				npx
+image/vnd.radiance
+image/vnd.sealed.png
+image/vnd.sealedmedia.softseal.gif
+image/vnd.sealedmedia.softseal.jpg
+image/vnd.svf
+image/vnd.wap.wbmp				wbmp
+image/vnd.xiff					xif
+image/x-cmu-raster				ras
+image/x-cmx					cmx
+image/x-freehand				fh fhc fh4 fh5 fh7
+image/x-icon					ico
+image/x-pcx					pcx
+image/x-pict					pic pct
+image/x-portable-anymap				pnm
+image/x-portable-bitmap				pbm
+image/x-portable-graymap			pgm
+image/x-portable-pixmap				ppm
+image/x-rgb					rgb
+image/x-xbitmap					xbm
+image/x-xpixmap					xpm
+image/x-xwindowdump				xwd
+message/cpim
+message/delivery-status
+message/disposition-notification
+message/example
+message/external-body
+message/global
+message/global-delivery-status
+message/global-disposition-notification
+message/global-headers
+message/http
+message/imdn+xml
+message/news
+message/partial
+message/rfc822					eml mime
+message/s-http
+message/sip
+message/sipfrag
+message/tracking-status
+message/vnd.si.simp
+model/example
+model/iges					igs iges
+model/mesh					msh mesh silo
+model/vnd.dwf					dwf
+model/vnd.flatland.3dml
+model/vnd.gdl					gdl
+model/vnd.gs-gdl
+model/vnd.gs.gdl
+model/vnd.gtw					gtw
+model/vnd.moml+xml
+model/vnd.mts					mts
+model/vnd.parasolid.transmit.binary
+model/vnd.parasolid.transmit.text
+model/vnd.vtu					vtu
+model/vrml					wrl vrml
+multipart/alternative
+multipart/appledouble
+multipart/byteranges
+multipart/digest
+multipart/encrypted
+multipart/example
+multipart/form-data
+multipart/header-set
+multipart/mixed
+multipart/parallel
+multipart/related
+multipart/report
+multipart/signed
+multipart/voice-message
+text/calendar					ics ifb
+text/css					css
+text/csv					csv
+text/directory
+text/dns
+text/ecmascript
+text/enriched
+text/example
+text/html					html htm
+text/javascript
+text/parityfec
+text/plain					txt text conf def list log in
+text/prs.fallenstein.rst
+text/prs.lines.tag				dsc
+text/red
+text/rfc822-headers
+text/richtext					rtx
+text/rtf
+text/rtp-enc-aescm128
+text/rtx
+text/sgml					sgml sgm
+text/t140
+text/tab-separated-values			tsv
+text/troff					t tr roff man me ms
+text/ulpfec
+text/uri-list					uri uris urls
+text/vnd.abc
+text/vnd.curl					curl
+text/vnd.curl.dcurl				dcurl
+text/vnd.curl.scurl				scurl
+text/vnd.curl.mcurl				mcurl
+text/vnd.dmclientscript
+text/vnd.esmertec.theme-descriptor
+text/vnd.fly					fly
+text/vnd.fmi.flexstor				flx
+text/vnd.graphviz				gv
+text/vnd.in3d.3dml				3dml
+text/vnd.in3d.spot				spot
+text/vnd.iptc.newsml
+text/vnd.iptc.nitf
+text/vnd.latex-z
+text/vnd.motorola.reflex
+text/vnd.ms-mediapackage
+text/vnd.net2phone.commcenter.command
+text/vnd.si.uricatalogue
+text/vnd.sun.j2me.app-descriptor		jad
+text/vnd.trolltech.linguist
+text/vnd.wap.si
+text/vnd.wap.sl
+text/vnd.wap.wml				wml
+text/vnd.wap.wmlscript				wmls
+text/x-asm					s asm
+text/x-c					c cc cxx cpp h hh dic
+text/x-fortran					f for f77 f90
+text/x-pascal					p pas
+text/x-java-source				java
+text/x-setext					etx
+text/x-uuencode					uu
+text/x-vcalendar				vcs
+text/x-vcard					vcf
+text/xml
+text/xml-external-parsed-entity
+video/3gpp					3gp
+video/3gpp-tt
+video/3gpp2					3g2
+video/bmpeg
+video/bt656
+video/celb
+video/dv
+video/example
+video/h261					h261
+video/h263					h263
+video/h263-1998
+video/h263-2000
+video/h264					h264
+video/jpeg					jpgv
+video/jpeg2000
+video/jpm					jpm jpgm
+video/mj2					mj2 mjp2
+video/mp1s
+video/mp2p
+video/mp2t
+video/mp4					mp4 mp4v mpg4
+video/mp4v-es
+video/mpeg					mpeg mpg mpe m1v m2v
+video/mpeg4-generic
+video/mpv
+video/nv
+video/ogg					ogv
+video/parityfec
+video/pointer
+video/quicktime					qt mov
+video/raw
+video/rtp-enc-aescm128
+video/rtx
+video/smpte292m
+video/ulpfec
+video/vc1
+video/vnd.cctv
+video/vnd.dlna.mpeg-tts
+video/vnd.fvt					fvt
+video/vnd.hns.video
+video/vnd.iptvforum.1dparityfec-1010
+video/vnd.iptvforum.1dparityfec-2005
+video/vnd.iptvforum.2dparityfec-1010
+video/vnd.iptvforum.2dparityfec-2005
+video/vnd.iptvforum.ttsavc
+video/vnd.iptvforum.ttsmpeg2
+video/vnd.motorola.video
+video/vnd.motorola.videop
+video/vnd.mpegurl				mxu m4u
+video/vnd.ms-playready.media.pyv		pyv
+video/vnd.nokia.interleaved-multimedia
+video/vnd.nokia.videovoip
+video/vnd.objectvideo
+video/vnd.sealed.mpeg1
+video/vnd.sealed.mpeg4
+video/vnd.sealed.swf
+video/vnd.sealedmedia.softseal.mov
+video/vnd.vivo					viv
+video/x-f4v					f4v
+video/x-fli					fli
+video/x-flv					flv
+video/x-m4v					m4v
+video/x-ms-asf					asf asx
+video/x-ms-wm					wm
+video/x-ms-wmv					wmv
+video/x-ms-wmx					wmx
+video/x-ms-wvx					wvx
+video/x-msvideo					avi
+video/x-sgi-movie				movie
+x-conference/x-cooltalk				ice

+ 11 - 0
www/anyterm/files/patch-common.mk

@@ -0,0 +1,11 @@
+--- common.mk.orig	2016-01-17 11:49:59.217894060 +0100
++++ common.mk	2016-01-17 11:50:27.299328924 +0100
+@@ -49,7 +49,7 @@
+ CC_COMPILE_FLAGS=$(COMPILE_FLAGS)
+ 
+ LINK_FLAGS=${GCC_FLAGS} ${DEBUG_FLAGS} \
+-	-lutil
++	-lutil -lboost_system
+ 
+ ifeq (${UNAME_S},OpenBSD)
+ LINK_FLAGS+=-liconv

+ 11 - 0
www/anyterm/files/patch-libpbe-include-Iconver.hh

@@ -0,0 +1,11 @@
+--- libpbe/include/Iconver.hh.orig	2008-10-25 12:17:29 UTC
++++ libpbe/include/Iconver.hh
+@@ -36,7 +36,7 @@
+ #include "Exception.hh"
+ 
+ 
+-#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__sun__)
++#if defined(__OpenBSD__) || defined(__sun__)
+ // Previously __APPLE__ was included in this list; presumably they have
+ // changed their headers.  If you have an older system you may need to put
+ // it back.

+ 10 - 0
www/anyterm/files/patch-libpbe-include-endian.hh

@@ -0,0 +1,10 @@
+--- libpbe/include/endian.hh.orig	2014-08-15 14:42:22.000000000 -0400
++++ libpbe/include/endian.hh	2014-08-15 14:42:47.000000000 -0400
+@@ -29,6 +29,7 @@
+ 
+ #elif defined(__FreeBSD__)
+ #include <machine/endian.h>
++#include <sys/types.h>
+ #define PBE_BYTE_ORDER _BYTE_ORDER
+ #define PBE_BIG_ENDIAN _BIG_ENDIAN
+ #define PBE_LITTLE_ENDIAN _LITTLE_ENDIAN

+ 10 - 0
www/anyterm/files/patch-libpbe-src-SmtpClient.cc

@@ -0,0 +1,10 @@
+--- libpbe/src/SmtpClient.cc.orig	2008-05-24 14:24:47.000000000 +0200
++++ libpbe/src/SmtpClient.cc	2013-03-30 17:41:19.000000000 +0100
+@@ -22,6 +22,7 @@
+ 
+ #include <syslog.h>
+ #include <unistd.h>
++#include <stdio.h>
+ 
+ #ifdef __OpenBSD__
+ // Is this really needed?

+ 28 - 0
www/anyterm/files/patch-libpbe-src-URI.cc

@@ -0,0 +1,28 @@
+--- libpbe/src/URI.cc.orig	2008-11-09 15:16:16.000000000 +0100
++++ libpbe/src/URI.cc	2013-03-30 17:45:57.000000000 +0100
+@@ -18,11 +18,11 @@
+ 
+ #include "URI.hh"
+ 
+-#include <boost/spirit.hpp>
+-#include <boost/spirit/actor/insert_at_actor.hpp>
+-#include <boost/spirit/dynamic/if.hpp>
+-#include <boost/spirit/utility/loops.hpp>
+-#include <boost/spirit/iterator/multi_pass.hpp>
++#include <boost/spirit/include/classic.hpp>
++#include <boost/spirit/home/classic/actor/insert_at_actor.hpp>
++#include <boost/spirit/home/classic/dynamic/if.hpp>
++#include <boost/spirit/home/classic/utility/loops.hpp>
++#include <boost/spirit/home/classic/iterator/multi_pass.hpp>
+ 
+ #include <boost/lexical_cast.hpp>
+ #include <boost/scoped_array.hpp>
+@@ -30,7 +30,7 @@
+ #include <map>
+ 
+ using namespace std;
+-using namespace boost::spirit;
++using namespace boost::spirit::classic;
+ 
+ 
+ namespace pbe {

+ 11 - 0
www/anyterm/files/patch-libpbe-src-format.cc

@@ -0,0 +1,11 @@
+--- libpbe/src/format.cc.orig	2009-11-20 00:12:52.878597868 -0800
++++ libpbe/src/format.cc	2009-11-20 00:13:07.402710981 -0800
+@@ -21,7 +21,7 @@
+ #include <string>
+ #include <cstdarg>
+ #include <cstdio>
+-#include <malloc.h>
++#include <stdlib.h>
+ 
+ 
+ namespace pbe {

+ 10 - 0
www/anyterm/files/patch-libpbe-src-ip.cc

@@ -0,0 +1,10 @@
+--- libpbe/src/ip.cc.orig	2008-12-18 21:18:43.000000000 +0100
++++ libpbe/src/ip.cc	2013-03-30 17:48:22.000000000 +0100
+@@ -23,6 +23,7 @@
+ #include <sys/un.h>
+ #include <netdb.h>
+ #include <unistd.h>
++#include <string.h>
+ 
+ using namespace std;
+ 

+ 28 - 0
www/anyterm/files/patch-libpbe-src-parse_http_request.cc

@@ -0,0 +1,28 @@
+--- libpbe/src/parse_http_request.cc.orig	2013-03-30 16:57:51.000000000 +0100
++++ libpbe/src/parse_http_request.cc	2013-03-30 17:11:49.000000000 +0100
+@@ -18,11 +18,11 @@
+ 
+ #inc